GNU bug report logs - #54993
28.1; Editing etc/NEWS on master with Emacs 28 signals an error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eli Zaretskii <eliz@HIDDEN>; dated Sun, 17 Apr 2022 17:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 20 Apr 2022 10:50:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 06:50:00 2022
Received: from localhost ([127.0.0.1]:45177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nh7uJ-0000qJ-To
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 06:50:00 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nh7uI-0000q4-A7
 for 54993 <at> debbugs.gnu.org; Wed, 20 Apr 2022 06:49:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=0eiTGhDF42gUvXpHU/Xojw8/qE+kOYl/wIGZW9e7Yk0=; b=GwNn2M8X4OpWoQT8iwjOC/3NWC
 v/d75YO3mR0ko9xIduwPoNXi3FtPsjCYJyf4PiGG+mIQeCxGanxKUgZl5Vv7IitFwYtj0vTvKt5Nh
 3qsBvZ6gTQh4itlCpTMbXtLvT+vIGczMQNfhTsjVvTJDXiW5ushGia9uIvlcooSmYeGk=;
Received: from [176.75.143.124] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nh7u8-000109-6k; Wed, 20 Apr 2022 12:49:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <87zgkilr1i.fsf@HIDDEN> <86sfqarzyx.fsf@HIDDEN>
 <87o80xb7e5.fsf@HIDDEN> <8635i8opem.fsf@HIDDEN>
 <87tuaoxoi3.fsf@HIDDEN>
Date: Wed, 20 Apr 2022 12:49:47 +0200
In-Reply-To: <87tuaoxoi3.fsf@HIDDEN> (=?utf-8?Q?=22K=C3=A9vin?= Le
 Gouguec"'s message of "Wed, 20 Apr 2022 08:22:44 +0200")
Message-ID: <87h76o9ghg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Kévin Le Gouguec <kevin.legouguec@HIDDEN> writes: >> I
    see only 1 way: to set buffer-local outline-level where to subtract 1. >
   > FWIW, this is exactly what org-outline-level does, since Org also sets >
    outline-regexp to "\\*+ ". > > (NB: IIUC from o [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

K=C3=A9vin Le Gouguec <kevin.legouguec@HIDDEN> writes:

>> I see only 1 way: to set buffer-local outline-level where to subtract 1.
>
> FWIW, this is exactly what org-outline-level does, since Org also sets
> outline-regexp to "\\*+ ".
>
> (NB: IIUC from outline-regexp's docstring, it is not necessary to anchor
> the regexp with "^")

Ah, yes; thanks.  I've now fixed both things on the trunk.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 20 Apr 2022 10:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 06:45:28 2022
Received: from localhost ([127.0.0.1]:45173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nh7pw-0000gu-9k
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 06:45:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nh7pu-0000gh-B8
 for 54993 <at> debbugs.gnu.org; Wed, 20 Apr 2022 06:45:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=a3mVQbF4cLW3CitPcuxZW4jyCrjrLOufB3iruXqMN7M=; b=P4T1N5R1z9FE56Lw3i0z8K0CtV
 U8dp/wYhHNXiuzY6dIA+5yR8DBk94AA53hPBBaE9VTN77v7qpgoJUBsOV0UZ5X4AMZKSx5/sm0s01
 hwJHyx095DiDIDnI1oGIsUzfcCsO1Bm6rHzQg+0/Zs9f0sVAZq42q25uRHPaJYGreuRk=;
Received: from [176.75.143.124] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nh7pl-0000xO-A6; Wed, 20 Apr 2022 12:45:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN>
 <87sfq9b7hw.fsf@HIDDEN> <874k2pb2i8.fsf@HIDDEN>
 <87zgkh9mnq.fsf@HIDDEN> <83bkwxukfg.fsf@HIDDEN>
Date: Wed, 20 Apr 2022 12:45:15 +0200
In-Reply-To: <83bkwxukfg.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 19 Apr
 2022 19:06:43 +0300")
Message-ID: <87lew09gp0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Now the only issue
 that remains, AFAICT, is the different key bindings > for outline-related
 commands in NEWES,
 caused by the fact that > emacs-news-mode activates outline-minor-mode.
 Could we perha [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: jporterbugs@HIDDEN, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Now the only issue that remains, AFAICT, is the different key bindings
> for outline-related commands in NEWES, caused by the fact that
> emacs-news-mode activates outline-minor-mode.  Could we perhaps solve
> this by having emacs-news-mode be derived from outline-mode, not from
> text-mode?  If not, why not?

I thought it would be more consistent to have both emacs-news-view-mode
and emacs-news-mode use outline-minor-mode, but I don't really have a
strong opinion here.  (We're moving all the "help"-ish buffers to use
outline-minor-mode, after all.)

But emacs-news-mode is for editing, so perhaps it makes sense to use
outline-mode here.  It does steal an awful lot of the `C-c C-*' keys,
though, so I'm not very enthusiastic about outline-mode in general and
think we should avoid it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 20 Apr 2022 06:46:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 02:46:19 2022
Received: from localhost ([127.0.0.1]:44904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nh46U-0002g9-W1
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 02:46:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nh46T-0002fw-1g
 for 54993 <at> debbugs.gnu.org; Wed, 20 Apr 2022 02:46:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57258)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nh46N-0005f7-GI; Wed, 20 Apr 2022 02:46:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=FI6GSJp6D5K6gutColhiWvXz8w79Ooy18C79KeC2Jz4=; b=KNxSgcE/1AGPmBDmuZMq
 r0PSzkkazUq80OfV+cHknRi0GCtpbXh4nSWWar38YMUoo2eb/UP3MfE7QUmKTbRmey/zjKvheCGD3
 khLqvHQXiRzQzWqQ32V6+3RKlYi7oIyXgC8G9G1ToBCDl5PPagETOsE24S9Bcn3cqMa+3VjmMahWg
 v9BdleuOXKPy+nfXKuu7ihBOYrGb93yBNbB4JmC56qsUZoyYfuDpI0dKpN7BAkbio8EXkNiX5ctWO
 NyCkN4kXCEFZmlzUbaejejFcgKTBa7ulHsCKWq6KFe2FWdo4KgsixtMfeUzT5MQZHImeDiGeEVV+Y
 T047g4oAhWLHOw==;
Received: from [87.69.77.57] (port=2229 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nh46M-0004de-PV; Wed, 20 Apr 2022 02:46:11 -0400
Date: Wed, 20 Apr 2022 09:46:02 +0300
Message-Id: <83ilr4tfpx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
In-Reply-To: <87y200xow5.fsf@HIDDEN> (message from =?utf-8?Q?K=C3=A9vin?=
 Le Gouguec on Wed, 20 Apr 2022 08:14:18 +0200)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN>
 <87sfq9b7hw.fsf@HIDDEN> <874k2pb2i8.fsf@HIDDEN>
 <87zgkh9mnq.fsf@HIDDEN> <83bkwxukfg.fsf@HIDDEN> <87y200xow5.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: jporterbugs@HIDDEN, larsi@HIDDEN, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kévin Le Gouguec <kevin.legouguec@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  jporterbugs@HIDDEN,
>   54993 <at> debbugs.gnu.org
> Date: Wed, 20 Apr 2022 08:14:18 +0200
> 
> The only issue I see is that it entails rebinding
> emacs-news-find-heading and emacs-news-count-untagged-entries?

These are new commands, so IMO it's reasonable to have them on new key
sequences.  By contrast, the need to switch to the keybindings of
outline-minor-mode breaks muscle memory.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 20 Apr 2022 06:22:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 02:22:54 2022
Received: from localhost ([127.0.0.1]:44863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nh3jq-00025Y-9T
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 02:22:54 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:47016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1nh3jo-00025L-7l
 for 54993 <at> debbugs.gnu.org; Wed, 20 Apr 2022 02:22:52 -0400
Received: by mail-wr1-f52.google.com with SMTP id i20so744927wrb.13
 for <54993 <at> debbugs.gnu.org>; Tue, 19 Apr 2022 23:22:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ZMiznio0Oq3PGJFImNRO0fo9GnZFXm7STWMT2o3AUgc=;
 b=Yr6h0fGV7y65e6hrGg0+OKwlYiWADkeD+1mrJPUDCjxHEABV3rjXtvtbPSc1EUJ+S7
 BXJbOc4GUDwq6Vt/7FpKVgbwW8JptLQ/ut3yXvKQyF4V9XYxq1bDNw8aY5/9eqtblRXM
 ZaaMQyqCY8taIJIlWLCxFwnNU+88pX+/Bfg4hjE26MQ9T1wmAMZoxafRMnNuVgOjo1ir
 VTKzAQHIjyetUwbsMANam8lRsmnorcy+SXZza4RJRMKiX4I9uHYTIRGsWhlra/KtgfL/
 jwllgHIsDwlBwYxfbLP8gyvCmQUtDokTXSljEptMVbRdG1W/RHG0XWKOC37Bi501NIFo
 sbWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ZMiznio0Oq3PGJFImNRO0fo9GnZFXm7STWMT2o3AUgc=;
 b=XXWJOrW04kOhG6of8hSr7Io4xi239v5xVXf0KOpYHagabC3UkdOKvF9yUbURgLXSn8
 2i0+oZpZkc2umCcL0C58s072hAk5/cY8/UXgWzW38z9Yx1l+eLecwa2rysmQn39w1IQR
 ATPJ3sMQ8C/uiEONAfGTCSruNbzdYl+jzJYXHsMLKbAbjdMpdUIHsYI5pSF40y2v5DpP
 XZsqChhzeXpRG0zeq1qM+tZy3IykQ37l2v6ZjlMSX/Sy1NwfltFfOoiQOETP0cTNOdYc
 jFT/MH6SQa2JvThJ4R9Y92OtCTbMLqM45701vCi7GEAmpW3Gg+URo2lfHo1wRjHu7/eh
 kOuA==
X-Gm-Message-State: AOAM533TKwkt1qjTWJ64dtn2JJ5+Jmqvr46P7DekhfZamqRPDUnDdB4q
 fDl8Yg7IkNYAv0Mq3sevV/Xt8apEkAk=
X-Google-Smtp-Source: ABdhPJysPFMNFCagEHP3R9PlX1s/g2XbAmKbPxmYtAV+FwjgPwd6AgzP2XfODd+gq2Ov5AyYW8kd7w==
X-Received: by 2002:a05:6000:1ca:b0:207:acc8:c153 with SMTP id
 t10-20020a05600001ca00b00207acc8c153mr14504213wrx.165.1650435765878; 
 Tue, 19 Apr 2022 23:22:45 -0700 (PDT)
Received: from hirondell ([217.181.152.179]) by smtp.gmail.com with ESMTPSA id
 n4-20020a1ca404000000b00392965e41d6sm7417169wme.39.2022.04.19.23.22.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 19 Apr 2022 23:22:45 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <87zgkilr1i.fsf@HIDDEN> <86sfqarzyx.fsf@HIDDEN>
 <87o80xb7e5.fsf@HIDDEN> <8635i8opem.fsf@HIDDEN>
Date: Wed, 20 Apr 2022 08:22:44 +0200
In-Reply-To: <8635i8opem.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 19 Apr 2022 22:15:45 +0300")
Message-ID: <87tuaoxoi3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54993
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

>>> there are different outline header colors between Emacs 28 and 29
>>> because of different outline levels.  The additional level comes
>>> from the space character at the end of outline-regexp "^\\*+ ".
>>
>> I wanted to avoid having stuff like
>>
>> ** New thing for help buffers.
>> *Help* buffers can be etc...
>>
>> triggering an outline thing on the second line.  Is there a way to do
>> that without including the space in outline-regexp?
>
> I see only 1 way: to set buffer-local outline-level where to subtract 1.

FWIW, this is exactly what org-outline-level does, since Org also sets
outline-regexp to "\\*+ ".

(NB: IIUC from outline-regexp's docstring, it is not necessary to anchor
the regexp with "^")




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 20 Apr 2022 06:14:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 20 02:14:32 2022
Received: from localhost ([127.0.0.1]:44852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nh3bh-0001st-M8
	for submit <at> debbugs.gnu.org; Wed, 20 Apr 2022 02:14:32 -0400
Received: from mail-wm1-f53.google.com ([209.85.128.53]:46850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1nh3bf-0001se-L0
 for 54993 <at> debbugs.gnu.org; Wed, 20 Apr 2022 02:14:28 -0400
Received: by mail-wm1-f53.google.com with SMTP id
 l62-20020a1c2541000000b0038e4570af2fso509297wml.5
 for <54993 <at> debbugs.gnu.org>; Tue, 19 Apr 2022 23:14:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=6lriFbUSDM5h4dt4Oh1aatm5METuRikh1fbnwzd8I1s=;
 b=Fig1gL/sIztU7rmlxdjyvTUC7AHQyKHZyT1R5/u0OvjBqwFl9sCULkKBtxYUPDDeYE
 WQe3QFNt4Afh2ZZPw7omnesqf+G+YHv4ptlrn4BebBvXNl6XbPMmM1XVqjqEs9KdGMyb
 Rx51y4PDfyJSt1GqwL0KqLoOdq3+d0U+5GGirUvfCYBEDGLO85uf4VmWbAfyAftqZLKt
 oJvS+TGfksqlGxi170gKuniGa6x67tKZAubnf74cpzRaneEYLBd2lm6J0mIr/6yNLX/g
 QMTjIluvskGpOlhX3h89IhSaSFOxNGrW7rqLH20b5A/L5+IPQN5fLwUAh3O10pPPj8sE
 lRpg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=6lriFbUSDM5h4dt4Oh1aatm5METuRikh1fbnwzd8I1s=;
 b=6N8aGg37xpY8OioAcTaOj6e74xuS8UwwLqZ/2k+Oe0SMrepnGCELQBSjpOpKRAZqci
 EF4YXX4Oz6mArBBpj3vTo+4QAEjHVcKMBnQibysIjQdOEJMR7qUENjmtSbz0VU0/4o0d
 /7znbOmh++gQ2MIKk1zHRauoOLDUBvEbU/VPkeZSuR9dHOnWRk9cUbEQ1BUdBJ+kKI8M
 GSTSfmhL60TIPomVL8ZxyaxECiUe0iM98q8GZ/vddG0W9ilRmNclThz9v2T/y7/8d9XZ
 hC5ibsA2NYRbjH9QmLDpjefLr4+flzFHYRf9cgK7gbbgDH9B16SwiFGMFCQ/lBk3sJvA
 209g==
X-Gm-Message-State: AOAM531sQE0msZKMJUAYXo769CVS0YMax72uBuMxJutyFwpotYJNpJaz
 N3cvnsDY3aURCr43eYnBHJEU0PtpfDg=
X-Google-Smtp-Source: ABdhPJyceSfxAnaKB/603DDG0tV2X23nkAXNkgRBK6QLa6CLjz36edORfutVOBt0BuQSVHdCEIKsRQ==
X-Received: by 2002:a05:600c:1e1f:b0:38e:c3eb:2d9 with SMTP id
 ay31-20020a05600c1e1f00b0038ec3eb02d9mr2045349wmb.90.1650435261279; 
 Tue, 19 Apr 2022 23:14:21 -0700 (PDT)
Received: from hirondell ([217.181.152.179]) by smtp.gmail.com with ESMTPSA id
 f189-20020a1c38c6000000b0038ff83b9792sm16715790wma.43.2022.04.19.23.14.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 19 Apr 2022 23:14:20 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN>
 <87sfq9b7hw.fsf@HIDDEN> <874k2pb2i8.fsf@HIDDEN>
 <87zgkh9mnq.fsf@HIDDEN> <83bkwxukfg.fsf@HIDDEN>
Date: Wed, 20 Apr 2022 08:14:18 +0200
In-Reply-To: <83bkwxukfg.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 19 Apr
 2022 19:06:43 +0300")
Message-ID: <87y200xow5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54993
Cc: jporterbugs@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Now the only issue that remains, AFAICT, is the different key bindings
> for outline-related commands in NEWES, caused by the fact that
> emacs-news-mode activates outline-minor-mode.  Could we perhaps solve
> this by having emacs-news-mode be derived from outline-mode, not from
> text-mode?  If not, why not?

I second that request.

outline-minor-mode's extra "@" doesn't bother me that much (because
repeat-mode makes it easy to chain commands), but it'd still be nice if
outline-mode's shorter bindings could remain ("@" is a bit awkward on
AZERTY).

The only issue I see is that it entails rebinding
emacs-news-find-heading and emacs-news-count-untagged-entries?

(I've only looked at navigation commands; didn't check
section-visibility commands because I mindlessly spam TAB)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 19:17:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 15:17:06 2022
Received: from localhost ([127.0.0.1]:44177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngtLV-0005kr-TW
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 15:17:06 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:44019)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ngtLU-0005kJ-Mq
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 15:17:05 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id 0513E40003;
 Tue, 19 Apr 2022 19:16:56 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
Organization: LINKOV.NET
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <87zgkilr1i.fsf@HIDDEN> <86sfqarzyx.fsf@HIDDEN>
 <87o80xb7e5.fsf@HIDDEN>
Date: Tue, 19 Apr 2022 22:15:45 +0300
In-Reply-To: <87o80xb7e5.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 19 Apr 2022 14:10:58 +0200")
Message-ID: <8635i8opem.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> there are different outline header colors between Emacs 28 and 29
>> because of different outline levels.  The additional level comes
>> from the space character at the end of outline-regexp "^\\*+ ".
>
> I wanted to avoid having stuff like
>
> ** New thing for help buffers.
> *Help* buffers can be etc...
>
> triggering an outline thing on the second line.  Is there a way to do
> that without including the space in outline-regexp?

I see only 1 way: to set buffer-local outline-level where to subtract 1.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 16:10:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 12:10:02 2022
Received: from localhost ([127.0.0.1]:43967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngqQT-00012F-ME
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 12:10:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngqQR-00011o-VN
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 12:10:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=aYabBW3bWRkb2Lps3CFQnSjk6Kgn5Ybnlq7x3YW1uQM=; b=PuonyAYNNkk7zv87DKQs0VPUf0
 Il/LG7srLp8Ar9TUzHboYfVgjOajeJbiX+mPRCGUDdQuU3hwd1bAu/ApUFr3jfN80DqDRaYjOQwoQ
 3LAsk2vEOUMIIWX7JyA8DWjJkbZBrmv+5HVzkZM+sY8u4Nr9oxZsJ6xHIX56Vww2SXkE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngqQJ-0000PU-BD; Tue, 19 Apr 2022 18:09:53 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN>
 <87sfq9b7hw.fsf@HIDDEN> <874k2pb2i8.fsf@HIDDEN>
 <87zgkh9mnq.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEULBQUoICFRPUNn
 dZVpmtOfudno8viXPEP///8bYlSiAAAAAWJLR0QIht6VegAAAAd0SU1FB+YEEw00KUql9EYAAAGr
 SURBVDjLxZM9mqMwDIZxmrSIhnYiCnoEwwGwTwAiF1ioBzyzuv7KIZlgJlOvHiq/fPr0YyfJd5jU
 AJKbNbi6PE/1gwzrG5ie4BYqsByD9KaCoj6CTZBR7V6CguwvQDONP4HJHoJ9uRu4nx+AZuKXICsc
 38lQwR5od5t3DIL31t489TEorN2KHeiSHsD8Aqj5NtqZfyjqLRNbOvTXPkBUrSoaLWoaeegikOSF
 m8ZJe1SwWZw/wqJMTj2z+N7ZhzckZzmtadn0rvWN1J+EWw5JVpOnIESNDOytr5a77fKWZksuvnN+
 YKk93kGC6SlPoGw6J533nUgpweQsH/liFDjrrvLZ+hIBtltzu24Z2k4XMtiuiiZ1otqGRVlLGE0K
 eRx0UeyGCp+TAkTSOQ3NyK6vEJ7nRRPm94dU0uMelPJ3HueJuGdCfFjosxAfFEyOaG9hShknz/Te
 E1YXgB1451bWhiS0BrtiCxZp16ugRgRyka/FtyIoAtFaSxFTNlcpEU201sRcEERk1ZcbAQC1zVDe
 MthbBKJV6t/mcgBGM4SjUG0Se6QQHvUhz/+Kfz/Jl3rKLNIPAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIyLTA0LTE5VDEzOjUyOjQwKzAwOjAwQFSYMAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNC0x
 OVQxMzo1Mjo0MCswMDowMDEJIIwAAAAASUVORK5CYII=
X-Now-Playing: Soft Cell's _Cruelty Without Beauty (1)_: "Dancing Alone"
Date: Tue, 19 Apr 2022 18:09:49 +0200
In-Reply-To: <87zgkh9mnq.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 19 Apr 2022 16:24:09 +0200")
Message-ID: <87v8v59hrm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I've now fixed
 this, and it seems to be both backwards and forwards > compatible. But while
 testing, I found another new bug in the -*- > parsing of mode: variables,
 so I'll be fixing that, too. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I've now fixed this, and it seems to be both backwards and forwards
> compatible.  But while testing, I found another new bug in the -*-
> parsing of mode: variables, so I'll be fixing that, too.

And I've pushed a fix and tests for this to Emacs 29, and a fix for this
to emacs-28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 16:07:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 12:07:00 2022
Received: from localhost ([127.0.0.1]:43952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngqNX-0000xI-QW
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 12:07:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ngqNW-0000x6-ID
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 12:06:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42848)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngqNR-0003F9-9y; Tue, 19 Apr 2022 12:06:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=WsaqoSvsggntW+ISAJoiZiPck5dizNsMr1xDAF6XSRQ=; b=qjNGQeu5J4Dv
 lsqlmi8OIMmWJ34+oI7hppUDKGCEkYClUCkvM9P/Dp5/OkDUPBn9iQRALggeBJ5kU+ePFw57pO8+N
 w5ITEMzHlZiOTfaYP4Ze6q6WcreIOQhC2mlt38jhTnVIkP2EW8d9aTKObM5k6x17vat+Z1xry0BKS
 7MSLjiloZx9aZXKNzjAl95eKFxWkpvbUYyvrTgZ1z1vBZBjkbr9CP8X7t2A8wlPdarp/JBZ+z22Vk
 SwGM71zWTptw5320aEM93r1Qrd+y7SwGcF8B4id/kBlR7JU1b+9Ic65cAEjS6o4iwQY5IxjcDRmMT
 ZPy0EgjQtL1XKsxho48RsQ==;
Received: from [87.69.77.57] (port=3292 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngqNQ-0006Aj-PN; Tue, 19 Apr 2022 12:06:53 -0400
Date: Tue, 19 Apr 2022 19:06:43 +0300
Message-Id: <83bkwxukfg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87zgkh9mnq.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 19 Apr 2022 16:24:09 +0200)
Subject: Re: bug#54993: 28.1;
 Editing etc/NEWS on master with Emacs 28 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN>
 <87sfq9b7hw.fsf@HIDDEN> <874k2pb2i8.fsf@HIDDEN> <87zgkh9mnq.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: jporterbugs@HIDDEN, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Tue, 19 Apr 2022 16:24:09 +0200
> Cc: 54993 <at> debbugs.gnu.org
> 
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> 
> > But!  Emacs only interprets the first mode: line it finds, so having
> >
> > mode: outline
> > mode: emacs-news
> >
> > and then extending Emacs on the trunk heed the final (defined) mode
> > would be both backwards and forwards compatible (as well as making this
> > an alternative to -*-, making things more regular), so I'll take a peek
> > at doing that.
> 
> I've now fixed this, and it seems to be both backwards and forwards
> compatible.

Thank you!

Now the only issue that remains, AFAICT, is the different key bindings
for outline-related commands in NEWES, caused by the fact that
emacs-news-mode activates outline-minor-mode.  Could we perhaps solve
this by having emacs-news-mode be derived from outline-mode, not from
text-mode?  If not, why not?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 14:24:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 10:24:19 2022
Received: from localhost ([127.0.0.1]:43878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngomB-0006sA-NH
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 10:24:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngomA-0006ry-Aj
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 10:24:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Y8E/vBeVGTBBXuiRNTnGO7fGzJk6x5eoTpnkRoqe9zM=; b=QPKKuGY+9oNGfbVAPIUPAbqVox
 75l8l1Nth8sC9IDwh4rXp7n+nUevsFn7iZxIzaoeu2SRnZc2lDgqqlSr23e6wMX97w19TnXLCHtFM
 bM2uQFr48EbKaPBQe9G9MNyl/o/Qhl7wMHnmsL6DjeW7Zx4deEAjk9nc2Si6g5YyHPZ0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngom1-0007xQ-JT; Tue, 19 Apr 2022 16:24:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN>
 <87sfq9b7hw.fsf@HIDDEN> <874k2pb2i8.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEULBQUoICFRPUNn
 dZVpmtOfudno8viXPEP///8bYlSiAAAAAWJLR0QIht6VegAAAAd0SU1FB+YEEw00KUql9EYAAAGr
 SURBVDjLxZM9mqMwDIZxmrSIhnYiCnoEwwGwTwAiF1ioBzyzuv7KIZlgJlOvHiq/fPr0YyfJd5jU
 AJKbNbi6PE/1gwzrG5ie4BYqsByD9KaCoj6CTZBR7V6CguwvQDONP4HJHoJ9uRu4nx+AZuKXICsc
 38lQwR5od5t3DIL31t489TEorN2KHeiSHsD8Aqj5NtqZfyjqLRNbOvTXPkBUrSoaLWoaeegikOSF
 m8ZJe1SwWZw/wqJMTj2z+N7ZhzckZzmtadn0rvWN1J+EWw5JVpOnIESNDOytr5a77fKWZksuvnN+
 YKk93kGC6SlPoGw6J533nUgpweQsH/liFDjrrvLZ+hIBtltzu24Z2k4XMtiuiiZ1otqGRVlLGE0K
 eRx0UeyGCp+TAkTSOQ3NyK6vEJ7nRRPm94dU0uMelPJ3HueJuGdCfFjosxAfFEyOaG9hShknz/Te
 E1YXgB1451bWhiS0BrtiCxZp16ugRgRyka/FtyIoAtFaSxFTNlcpEU201sRcEERk1ZcbAQC1zVDe
 MthbBKJV6t/mcgBGM4SjUG0Se6QQHvUhz/+Kfz/Jl3rKLNIPAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIyLTA0LTE5VDEzOjUyOjQwKzAwOjAwQFSYMAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNC0x
 OVQxMzo1Mjo0MCswMDowMDEJIIwAAAAASUVORK5CYII=
X-Now-Playing: Soft Cell's _Cruelty Without Beauty (1)_: "All Out Of Love"
Date: Tue, 19 Apr 2022 16:24:09 +0200
In-Reply-To: <874k2pb2i8.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 19 Apr 2022 15:56:31 +0200")
Message-ID: <87zgkh9mnq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > But! Emacs only
 interprets the first mode: line it finds, so having > > mode: outline > mode:
 emacs-news > > and then extending Emacs on the trunk heed the final (defined)
 mode > would be both backw [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> But!  Emacs only interprets the first mode: line it finds, so having
>
> mode: outline
> mode: emacs-news
>
> and then extending Emacs on the trunk heed the final (defined) mode
> would be both backwards and forwards compatible (as well as making this
> an alternative to -*-, making things more regular), so I'll take a peek
> at doing that.

I've now fixed this, and it seems to be both backwards and forwards
compatible.  But while testing, I found another new bug in the -*-
parsing of mode: variables, so I'll be fixing that, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 13:56:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 09:56:46 2022
Received: from localhost ([127.0.0.1]:43827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngoLW-0006BE-LW
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 09:56:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngoLV-0006Ay-AL
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 09:56:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=zXOnCmQGlhxsVjQvt8V1iH0unfTEGWmMOyxA5r6UxGs=; b=B9RKeveK8ZRj+fO8kkGjzAkjef
 obleEtFdns1XXHvIoa4n86opoLEEnxEAWoHsp+9jM/Eteo98NDflHq+68oOg/FHf0x6n5b8KNTS0m
 H5YIqRDx0koF/ZLfWHpzeKRJThVBFw/6s9TyciB95V20PTzjVQsAtOOep0dU8xNeGNDE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngoLH-0007o1-H9; Tue, 19 Apr 2022 15:56:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN>
 <87sfq9b7hw.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEULBQUoICFRPUNn
 dZVpmtOfudno8viXPEP///8bYlSiAAAAAWJLR0QIht6VegAAAAd0SU1FB+YEEw00KUql9EYAAAGr
 SURBVDjLxZM9mqMwDIZxmrSIhnYiCnoEwwGwTwAiF1ioBzyzuv7KIZlgJlOvHiq/fPr0YyfJd5jU
 AJKbNbi6PE/1gwzrG5ie4BYqsByD9KaCoj6CTZBR7V6CguwvQDONP4HJHoJ9uRu4nx+AZuKXICsc
 38lQwR5od5t3DIL31t489TEorN2KHeiSHsD8Aqj5NtqZfyjqLRNbOvTXPkBUrSoaLWoaeegikOSF
 m8ZJe1SwWZw/wqJMTj2z+N7ZhzckZzmtadn0rvWN1J+EWw5JVpOnIESNDOytr5a77fKWZksuvnN+
 YKk93kGC6SlPoGw6J533nUgpweQsH/liFDjrrvLZ+hIBtltzu24Z2k4XMtiuiiZ1otqGRVlLGE0K
 eRx0UeyGCp+TAkTSOQ3NyK6vEJ7nRRPm94dU0uMelPJ3HueJuGdCfFjosxAfFEyOaG9hShknz/Te
 E1YXgB1451bWhiS0BrtiCxZp16ugRgRyka/FtyIoAtFaSxFTNlcpEU201sRcEERk1ZcbAQC1zVDe
 MthbBKJV6t/mcgBGM4SjUG0Se6QQHvUhz/+Kfz/Jl3rKLNIPAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIyLTA0LTE5VDEzOjUyOjQwKzAwOjAwQFSYMAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNC0x
 OVQxMzo1Mjo0MCswMDowMDEJIIwAAAAASUVORK5CYII=
X-Now-Playing: Soft Cell's _Cruelty Without Beauty (1)_: "Monoculture"
Date: Tue, 19 Apr 2022 15:56:31 +0200
In-Reply-To: <87sfq9b7hw.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 19 Apr 2022 14:08:43 +0200")
Message-ID: <874k2pb2i8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: >> It's probably
 failing for you because you need to do this in the >> opposite order (and
 remove the "-mode"): >> >> mode: outline; mode: emacs-news Aha! This works:
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> It's probably failing for you because you need to do this in the
>> opposite order (and remove the "-mode"):
>>
>>   mode: outline; mode: emacs-news

Aha!  This works:

-*- mode: outline; mode: emacs-news -*-

But it doesn't work in the Local variables: section, which can only have
one mode/variable per line.

But!  Emacs only interprets the first mode: line it finds, so having

mode: outline
mode: emacs-news

and then extending Emacs on the trunk heed the final (defined) mode
would be both backwards and forwards compatible (as well as making this
an alternative to -*-, making things more regular), so I'll take a peek
at doing that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 13:21:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 09:21:40 2022
Received: from localhost ([127.0.0.1]:42010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngnnX-0004tH-RR
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 09:21:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngnnV-0004t0-UX
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 09:21:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5SB5pg3n7HFpOC+bvnOHntS5rwnz8jQaCSiC0FTd+Pk=; b=W6sQLjlALOVA6T5KD5+gBF5nob
 Uw3zYfs7Hiy4M1fv5SjPOFRO6Ga3xAcXa8M3BWnErVCaqrehr3syvVxPwrN5URhYCAe5lE3G1Gl6O
 Oo3W0V1c31zzmUazrgCOURyTSWx3afaowjQxoSUzKuQkIU/P6MnV1FBLC0D+N3Mmk/20=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngnnM-0007Yr-UO; Tue, 19 Apr 2022 15:21:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <87zgkilr1i.fsf@HIDDEN> <86sfqarzyx.fsf@HIDDEN>
 <87o80xb7e5.fsf@HIDDEN> <87fsm9b49l.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEVVTFksIyx/dYfR
 xsgOCQv///9l4j0tAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YEEwwrGaDkoEMAAAGcSURBVDjLddPt
 mYMgDADgiA4AlAEQOkBrbgBi2X+mS0A+vD7HLx9fAyGJsEBdwXtojwEUQq7L8MpjkQJ3vYZlfm8q
 kDEaIM8rFpCAGtqWKWAkQN3gRAYqAWGbISFs9QQV/Aw0wfIVUXcK7QxD/ETrBWqCc2cA2CSnxdjQ
 drEg3+gCBqaUbESGs4IblzAq4jM7AicB0+U0RHznFCrMxSggN5dbzOXQRu8C5guyelOHbXQpZPW6
 AEA/jwnsK38QFgG1H323dYtHWmsEl3bAAxEj1giu1B1wgPkPli+4io4dzjgAKpAW/VwRWwVpx1oG
 Qv0B/jhigXgDGSPkRvAchA48nqA2gZ/7VtzBJBd5lAh9gZM+KSp7RQGKUpESEfK5a/kN0i65Ia4V
 uMrpcL1bFvEIDWxYdBtRauk663k0nN6v96FllR87AefUZi52sFuC0XKawCU/xiRhB30DmiCn8TfR
 tdXB2UOeIpJfW0kycKUKyFXS69HBO/Lye3FCh1fHZ0RkyrackiLfzjaghY+3pXlZczNCB1dA/kjT
 usTrF8cox9B0KrUDAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA0LTE5VDEyOjQzOjI1KzAwOjAw
 J9nTawAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNC0xOVQxMjo0MzoyNSswMDowMFaEa9cAAAAA
 SUVORK5CYII=
X-Now-Playing: AR Kane's _Single Collection (2)_: "A Love From Outer Space
 (Venusian Dub)"
Date: Tue, 19 Apr 2022 15:21:25 +0200
In-Reply-To: <87fsm9b49l.fsf@HIDDEN> (Michael Albinus's message of "Tue, 19
 Apr 2022 15:18:30 +0200")
Message-ID: <87bkwxb44q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Albinus <michael.albinus@HIDDEN> writes: > The
 correct
 spelling would be > > "*Help*" buffers can be etc... I don't much like that
 spelling in NEWS. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus <michael.albinus@HIDDEN> writes:

> The correct spelling would be
>
> "*Help*" buffers can be etc...

I don't much like that spelling in NEWS.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 13:18:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 09:18:47 2022
Received: from localhost ([127.0.0.1]:42006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngnki-0004oH-GW
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 09:18:47 -0400
Received: from mout.gmx.net ([212.227.15.18]:54831)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1ngnkc-0004nz-D3
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 09:18:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1650374312;
 bh=NGFQM50uhNN/rQ0J+XXQN0ibIxnl+jAv8UBB+e9yY1Y=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=LRyBYIuneGhTYvyK+Z4p8J8o8KA92L593cGCsPwskUdSdGVZfmSO1F/5Eeaa+5FwJ
 EmuEbnXOA/iHaaoUz+b+2Y5zZYvvEyw0NyXcTHsqbnCsq+yZsmlZfH40x12PAYyQXx
 xYOSUFaVUHjKnOC3sE5O7xhXS5v0cxwxkyZ9TJV4=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.156.67]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MHXFr-1nlQRi3yYT-00DTnc; Tue, 19
 Apr 2022 15:18:32 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <87zgkilr1i.fsf@HIDDEN> <86sfqarzyx.fsf@HIDDEN>
 <87o80xb7e5.fsf@HIDDEN>
Date: Tue, 19 Apr 2022 15:18:30 +0200
In-Reply-To: <87o80xb7e5.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 19 Apr 2022 14:10:58 +0200")
Message-ID: <87fsm9b49l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:q7+eNw7SxG3JZVCi1vC9OTq8DZB+9AaLixqmcCBQuFuEZrQyYR0
 3KTkiE5wPLvT1TBMdxhJ5xRIlYCJUi6DZ4h1T4lP+bcPFZ85Fgtw42D4leJh9eD1AVaWu0C
 Xlt9NQkaBdcTEXUF96GZ3DkuJHL7S3RoyYdwEswN1CAk3dXUqFbG0oxXOny0gZ7P5YRjVFY
 tuisw2qdXCfhlpFSxXmVw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:jE0zbwLRgeA=:L0kZ9MOjQFnG/ZbGWQgZs+
 GCzJuSigGpd1CT1KhRXVQt3ubPrjLRpb1DdAYEykKS14M+/qsBmem8+2EZbra/ZEmbXVDsehO
 KgZduHytq4JZMjhYfQr8TmtO/Ni1hOUPOEzcsenpyEo27VRjFplKbdKS3Hyr0H4ayY14SHQXS
 UJd4DT/aq0F0S8FhgXdLhwkKPlunTZbMvkagL1QHnE1Mdt9o/hLnxqidsOv9MmYNenUfCdwzy
 7ciwev6RzV2fgRpHKGzYuG7somiUrv3AhZOSWn4fwaLovS2+jt8BVei8xLzgpiKmV6h424ugB
 k3WR4TbFoPv/F03yETVYkPHpXhqOrMjDLZROLJriXXjUNgz8X6qNauJdDLSjQ0NRc6EH1bX3j
 GiUFZ/sS3N1JOkvCY8+C5bG1Z5OYAI4/bDPmO3t8WsZ9dwqJu10Zmyrb1DgQHXUd9GaRsy1q1
 p8rLjUQG6a42hIU5k2PN42xzrEHK/Oulpos3dUN8/YXN0svDzGGDv2mpbXMoVc/01gWYSNIEF
 o2molWszZFneLeVQd5yB6UpuVbhZJfWCr+A2mfEYflTF0swYgGt3RvnvlcOaWeT8GX3w+n+Id
 a3OnaQP2/9VNK2YhGDcgyxCNs7ISeymIcTYOguSqHtCORsazhZeipVH6m89ETG8iw4m9faC14
 MvjuwdKYutAHQ8To9eHSi0JNVR6yEnhcF/d6RbwAoAZcx2yya7hIGGVi16/OYyqsDclTLwl5k
 GuFgKYzwcYF1go7HNpvERm8uvvwDZgOvpm1SthNw+UXUOEyVPURPDDtiDdpWC7jNkVT4eK2sK
 i8DdKyu0+icjyMfSlC42OZoHT4TGBU3txQMAYNdM0XmSGNU2wDwS5yoUWo3q5BPSadxW5fsGx
 t/yLtxse9FONs110880wmJr2am5Iny09DXkObygQL22L9Ljs4Q42rg79hVqKIoxaGKfsC/f2t
 faTcCuSquCO3GhH6dMC3WwnEc0RQaEVDB4JEC1YalSVDngB1fQLVx376jQbeGtyMwiPpR7Yo9
 VvVRWgTVScHXGFtK6uwBgsUEe0F02La/YvJ3XPipqxlTuLsFOhlVlL6W+GjCFTT4mpm2pO3kg
 AWlnM0Hg9u82QU=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> emacs-news is a nice mode, but I found another regression:
>> there are different outline header colors between Emacs 28 and 29
>> because of different outline levels.  The additional level comes
>> from the space character at the end of outline-regexp "^\\*+ ".
>
> I wanted to avoid having stuff like
>
> ** New thing for help buffers.
> *Help* buffers can be etc...
>
> triggering an outline thing on the second line.  Is there a way to do
> that without including the space in outline-regexp?

The correct spelling would be

--8<---------------cut here---------------start------------->8---
"*Help*" buffers can be etc...
--8<---------------cut here---------------end--------------->8---

At least *this* example doesn't hurt.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 12:11:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 08:11:12 2022
Received: from localhost ([127.0.0.1]:41934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngmhM-0000zS-1H
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 08:11:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngmhK-0000zF-17
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 08:11:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=l2fNlBb3HvAaFyeErjrw5IRLPkjOzjtPnD1G4v/e6hg=; b=TlOcX5JSMMUsLj4pTQIZ6xG1Vy
 NNMpyMfH5/LKz/z3FMQ4QU7nSHK6+1PxDswYKsvk1mkcPRyvaC/GhHk23cPGAy48iD2RNHtRetc0a
 uiXMZ0OavoZX4lC3Itu6EqH68G+OyYbvvUyp+ZO1vkMqIc2ELeA7dEk2hrGbeibmtTvQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngmhA-0006kj-VH; Tue, 19 Apr 2022 14:11:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <87zgkilr1i.fsf@HIDDEN> <86sfqarzyx.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXs26rr37bgvG//
 //9uAbLUAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YEEwwDCnkHTzcAAAGSSURBVCjPJZLBiuMwEETL
 QgKNT0qwlj1OAgPBXyGFGPbYBjXkun8iggeGnPaS++xhIfgrt+ToYp66VF1qGQ7QtiakFR0QVfOk
 6deILoVJp5yzoseHUOOKxGhu+EyEqDaG8w2ugSg00OAzq1J00e7i4ZpvcpNzhNio7GYbLyeo2wym
 QS7HrX1pbX/YHtxllqL/ih1fwNpDCfMW0nSq9oitMPzkxxpElsTjoGJfl5GD+a3Z+k2Wral07F/Q
 2UXnAlje5wx70Dz0eM8SS7VXzRHIAlcqrpoewMxT5U+4angYFPY+3/zbJhNCQq00OAFvUd2wDwx4
 go0aA95Fp9TDFo0XHJMW9nElDnZvOKPk0Q3MuwwL45o2duFgFxXOuiU1lUdTvaNN0Xzho4ThBahD
 EsEdKWrnFzToCSWASwIrOktMXU4hYESUnUuug+6wwrYntnyymdm2FXYpCmXC/d6ixESZNC/+GcE3
 SAQelP1zBQt18wjrym2z3v34ZTCu8DDf1bLQoHo82eCvMZStt/oNjE+gX/8DoWd1k7+c154AAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMjItMDQtMTlUMTI6MDM6MTArMDA6MDBLt4itAAAAJXRFWHRkYXRl
 Om1vZGlmeQAyMDIyLTA0LTE5VDEyOjAzOjEwKzAwOjAwOuowEQAAAABJRU5ErkJggg==
X-Now-Playing: AR Kane's _Single Collection (1)_: "W.O.G.S."
Date: Tue, 19 Apr 2022 14:10:58 +0200
In-Reply-To: <86sfqarzyx.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 18 Apr 2022 22:05:02 +0300")
Message-ID: <87o80xb7e5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > emacs-news is a nice
 mode, but I found another regression: > there are different outline header
 colors between Emacs 28 and 29 > because of different outline levels. The
 additional level comes > fro [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> emacs-news is a nice mode, but I found another regression:
> there are different outline header colors between Emacs 28 and 29
> because of different outline levels.  The additional level comes
> from the space character at the end of outline-regexp "^\\*+ ".

I wanted to avoid having stuff like

** New thing for help buffers.
*Help* buffers can be etc...

triggering an outline thing on the second line.  Is there a way to do
that without including the space in outline-regexp?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 12:08:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 08:08:54 2022
Received: from localhost ([127.0.0.1]:41928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngmf8-0000ve-Lb
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 08:08:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:35010)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngmf6-0000vQ-H5
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 08:08:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=w8UccI29w2210HgFoYLwnTZydDUBUyHvfmnUpnife2g=; b=CfdihrMCP3oZ/w2RDzDUWdLory
 jnsWXg2cuM6AbFf1b35EuL7J4vidsrXDrtYZxS+c7afDp2f93+eacoPCq8wwYw1r6L8ri1koqTJls
 5NyQ1TrA8WB41N1HQ/9xOchrdiE3QvRrhrQuTEVlRDOuxTKlhxZbyBkAKQrUXxI5eVuA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngmey-0006it-Ci; Tue, 19 Apr 2022 14:08:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXs26rr37bgvG//
 //9uAbLUAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YEEwwDCnkHTzcAAAGSSURBVCjPJZLBiuMwEETL
 QgKNT0qwlj1OAgPBXyGFGPbYBjXkun8iggeGnPaS++xhIfgrt+ToYp66VF1qGQ7QtiakFR0QVfOk
 6deILoVJp5yzoseHUOOKxGhu+EyEqDaG8w2ugSg00OAzq1J00e7i4ZpvcpNzhNio7GYbLyeo2wym
 QS7HrX1pbX/YHtxllqL/ih1fwNpDCfMW0nSq9oitMPzkxxpElsTjoGJfl5GD+a3Z+k2Wral07F/Q
 2UXnAlje5wx70Dz0eM8SS7VXzRHIAlcqrpoewMxT5U+4angYFPY+3/zbJhNCQq00OAFvUd2wDwx4
 go0aA95Fp9TDFo0XHJMW9nElDnZvOKPk0Q3MuwwL45o2duFgFxXOuiU1lUdTvaNN0Xzho4ThBahD
 EsEdKWrnFzToCSWASwIrOktMXU4hYESUnUuug+6wwrYntnyymdm2FXYpCmXC/d6ixESZNC/+GcE3
 SAQelP1zBQt18wjrym2z3v34ZTCu8DDf1bLQoHo82eCvMZStt/oNjE+gX/8DoWd1k7+c154AAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMjItMDQtMTlUMTI6MDM6MTArMDA6MDBLt4itAAAAJXRFWHRkYXRl
 Om1vZGlmeQAyMDIyLTA0LTE5VDEyOjAzOjEwKzAwOjAwOuowEQAAAABJRU5ErkJggg==
X-Now-Playing: AR Kane's _Single Collection (1)_: "Baby Milk Snatcher"
Date: Tue, 19 Apr 2022 14:08:43 +0200
In-Reply-To: <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN> (Jim Porter's
 message of "Mon, 18 Apr 2022 09:48:51 -0700")
Message-ID: <87sfq9b7hw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Jim Porter <jporterbugs@HIDDEN> writes: > It's probably
 failing for you because you need to do this in the > opposite order (and
 remove the "-mode"): > > mode: outline;
 mode: emacs-news > > It's a bit surprising
 at first, since as humans, w [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

> It's probably failing for you because you need to do this in the
> opposite order (and remove the "-mode"):
>
>   mode: outline; mode: emacs-news
>
> It's a bit surprising at first, since as humans, we'd probably expect
> the "preferred" mode to be first, but the way this works is to
> activate outline-mode, and then (try to) activate
> emacs-news-mode. That's a little bit inefficient, but since this would
> mostly be used in cases where the "preferred" mode is derived from the
> "basic" mode, it's probably not too bad.

Hm....  I tried that with the NEWS file, and emacs-27.2/emacs-28 indeed
used outline mode.  But it didn't try to use emacs-news-mode, as far as
I can tell, and neither does master.  (But we can fix that on master, of
course, which might be generally useful anyway.  That is, as a way to
introduce new modes in a backwards-compatible way in mode: strings.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 19 Apr 2022 12:04:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 19 08:04:27 2022
Received: from localhost ([127.0.0.1]:41918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngmap-0000pF-AI
	for submit <at> debbugs.gnu.org; Tue, 19 Apr 2022 08:04:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngman-0000p2-AU
 for 54993 <at> debbugs.gnu.org; Tue, 19 Apr 2022 08:04:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=6u5pW0FYBY7GJ6yJiXxqTAnFMOlClNNCq3+/iWgPbJI=; b=aXwXxrUVxcBmT6Izx5dCLHZvoF
 7RF+ZmEKTzFxrAqzmkPviFBnJ1h5xsHNqrIHUyu64f0MFy8JZ3MIy5Z1v6CTBi0S/Lcp8JU4MaCUA
 maIWozBtXxruVRZdvdpsRu+9L7/rMYYLyKJf4I9v1W4AU+LVzL2S94OyoS6zDAwps9Y0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngmae-0006fL-D8; Tue, 19 Apr 2022 14:04:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <83ee1uwxl5.fsf@HIDDEN> <87v8v6bt5v.fsf@HIDDEN>
 <837d7mwtzj.fsf@HIDDEN> <87tuaqir1c.fsf@HIDDEN>
 <835yn6wk8h.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXs26rr37bgvG//
 //9uAbLUAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YEEwwDCnkHTzcAAAGSSURBVCjPJZLBiuMwEETL
 QgKNT0qwlj1OAgPBXyGFGPbYBjXkun8iggeGnPaS++xhIfgrt+ToYp66VF1qGQ7QtiakFR0QVfOk
 6deILoVJp5yzoseHUOOKxGhu+EyEqDaG8w2ugSg00OAzq1J00e7i4ZpvcpNzhNio7GYbLyeo2wym
 QS7HrX1pbX/YHtxllqL/ih1fwNpDCfMW0nSq9oitMPzkxxpElsTjoGJfl5GD+a3Z+k2Wral07F/Q
 2UXnAlje5wx70Dz0eM8SS7VXzRHIAlcqrpoewMxT5U+4angYFPY+3/zbJhNCQq00OAFvUd2wDwx4
 go0aA95Fp9TDFo0XHJMW9nElDnZvOKPk0Q3MuwwL45o2duFgFxXOuiU1lUdTvaNN0Xzho4ThBahD
 EsEdKWrnFzToCSWASwIrOktMXU4hYESUnUuug+6wwrYntnyymdm2FXYpCmXC/d6ixESZNC/+GcE3
 SAQelP1zBQt18wjrym2z3v34ZTCu8DDf1bLQoHo82eCvMZStt/oNjE+gX/8DoWd1k7+c154AAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMjItMDQtMTlUMTI6MDM6MTArMDA6MDBLt4itAAAAJXRFWHRkYXRl
 Om1vZGlmeQAyMDIyLTA0LTE5VDEyOjAzOjEwKzAwOjAwOuowEQAAAABJRU5ErkJggg==
X-Now-Playing: AR Kane's _Single Collection (1)_: "Baby Milk Snatcher"
Date: Tue, 19 Apr 2022 14:04:15 +0200
In-Reply-To: <835yn6wk8h.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 18 Apr
 2022 17:15:42 +0300")
Message-ID: <87wnflb7pc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Yes. So maybe instead
 Outline mode in Emacs 29 could turn on > emacs-news-mode automatically when
 the file's name is NEWS or NEWS.* > or ONEWS. That sounds like a very ugly
 and unpredictable hack. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: michael.albinus@HIDDEN, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Yes.  So maybe instead Outline mode in Emacs 29 could turn on
> emacs-news-mode automatically when the file's name is NEWS or NEWS.*
> or ONEWS.

That sounds like a very ugly and unpredictable hack.

>> emacs-news-mode is quite major-modeish, though, so I think that would be
>> awkward.
>
> I don't see why.  What do you see in emacs-news-mode that doesn't fit
> a minor mode?

It sets font-lock keywords, for instance.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 19:13:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 15:13:39 2022
Received: from localhost ([127.0.0.1]:40823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngWod-0007y4-He
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 15:13:39 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:36863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1ngWob-0007xd-PD
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 15:13:38 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPSA id BC5BE1C0002;
 Mon, 18 Apr 2022 19:13:30 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
Organization: LINKOV.NET
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
 <87zgkilr1i.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 22:05:02 +0300
In-Reply-To: <87zgkilr1i.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 18 Apr 2022 10:44:09 +0200")
Message-ID: <86sfqarzyx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> I've now fixed this regression, but I see there's (at least) one other:
>> In Emacs 27, if the mode: had a mode that's not defined, it just says
>> that it's ignored instead of trying to call it, which seems sensible, so
>> I'll fix that regression, too.
>
> Oh, that was fixed by the same fix.  :-/

emacs-news is a nice mode, but I found another regression:
there are different outline header colors between Emacs 28 and 29
because of different outline levels.  The additional level comes
from the space character at the end of outline-regexp "^\\*+ ".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 16:48:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 12:48:58 2022
Received: from localhost ([127.0.0.1]:40576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngUYc-0004AZ-IG
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 12:48:58 -0400
Received: from mail-pj1-f41.google.com ([209.85.216.41]:45716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1ngUYb-0004AM-13
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 12:48:57 -0400
Received: by mail-pj1-f41.google.com with SMTP id
 n33-20020a17090a5aa400b001d28f5ee3f9so3051099pji.4
 for <54993 <at> debbugs.gnu.org>; Mon, 18 Apr 2022 09:48:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=cV00jFXRbKUSGZwJ+yIYm2PS4s9202O2dldH3il4SME=;
 b=U2ZJrQDH+JM5xScuSCv5RgSIYitUp5axjhm7c1PWzLwknUUUWbYIWK/osCRae5Iv1R
 SIlditzE3A1ZQkj3WJ7NuPKh6pSmT6t/1YiHEv9GdyV35qSvoeAG114L495JL9oNY8Gw
 9oUERqSAdrt5fMSJah9Sx+2APXhZhmhedvCBbARVkJT4afuhEIQbdP8OagOdxF5UZnev
 5Mi3NIoXMf+kBhAz1LgWC1y3mjSYi6bJf8GOqgHyzc8oOoWTmaIkPR1KpT64t2KZbp1T
 W2/DBtdVRDnwqwMUso3QVeC1Eol8acIKi0cUivVb9gNKEUZZbRtaOgyep0HS+jftDBWx
 7CEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=cV00jFXRbKUSGZwJ+yIYm2PS4s9202O2dldH3il4SME=;
 b=OplkQ43bY0nDecDa9bWtbXPjUyeJfdUxpLVwpbTPH3TthsWuqRSxtF0RyVXuZkaEkt
 1cahzII8d3K2zN4Ewb1h13dSkWUcMmiEMMxDNAysTK+3EEkKfbI2w9hu+S9+yiAO1Dcy
 +ZjyYg3DymkAoXXnB9uVAfP65KetAXc5tPn0l9HhnG69X+mTW7m0t7IEW1sqEQWApEte
 F3xuk1PiHWdEe0+w9N4B1MhxtlAyJ5AkowBP1Glug/UuIVIObrbnJT9NyDfZPwr7hzIE
 BUe9VduEHpWvPyngJJdpTb6tD0/RoilE1dJGgmMC4ODmjIEI73OSMfyu7FZmWZxtCsaQ
 HzWA==
X-Gm-Message-State: AOAM530r3/UN0A6NaElziu7vDOxEo52YBvdAcyZ6XU+dTb3sPRIbrR8p
 QrpZGLL5Yl8z4gW1ZxZ+oYw3aHKXzDM=
X-Google-Smtp-Source: ABdhPJxeoxuSYKVl0kBtgEZk76gt4tk5fdFl2osYb08TyFSQuubaM1yk/6pLCZNeuCeZt+ifhGenQw==
X-Received: by 2002:a17:90a:f3d6:b0:1cb:91e3:f1f6 with SMTP id
 ha22-20020a17090af3d600b001cb91e3f1f6mr19327286pjb.171.1650300531118; 
 Mon, 18 Apr 2022 09:48:51 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 b16-20020a056a00115000b004f6ff260c9esm13263800pfm.207.2022.04.18.09.48.50
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 18 Apr 2022 09:48:50 -0700 (PDT)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals
 an error
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN> <878rs3mm4p.fsf@HIDDEN>
 <874k2qn5pl.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <f89d57da-f623-6f3c-a051-52bac6de5473@HIDDEN>
Date: Mon, 18 Apr 2022 09:48:51 -0700
MIME-Version: 1.0
In-Reply-To: <874k2qn5pl.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 4/18/2022 1:41 AM, Lars Ingebrigtsen wrote:
> I've now fixed this regression, but I see there's (at least) one other:
> In Emacs 27, if the mode: had a mode that's not defined, it just says
> that it's ignored instead of trying to call it, which seems sensible, so
> I'll fix that regression, too.
> 
> But I can't get this to work in Emacs 27.2 -- Jim, are you sure that
> this worked at some point?

I just tried it in 27.2, and it works fine for me. If the "preferred" 
mode is defined, it uses that. Otherwise, it says "Ignoring unknown 
mode..." and uses the "basic" mode.

> mode: emacs-news; mode: outline-mode

It's probably failing for you because you need to do this in the 
opposite order (and remove the "-mode"):

   mode: outline; mode: emacs-news

It's a bit surprising at first, since as humans, we'd probably expect 
the "preferred" mode to be first, but the way this works is to activate 
outline-mode, and then (try to) activate emacs-news-mode. That's a 
little bit inefficient, but since this would mostly be used in cases 
where the "preferred" mode is derived from the "basic" mode, it's 
probably not too bad.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 14:16:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 10:16:08 2022
Received: from localhost ([127.0.0.1]:40357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngSAi-00009f-KA
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 10:16:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ngSAg-00009B-LU
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 10:16:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43828)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngSAa-0002o2-8F; Mon, 18 Apr 2022 10:16:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Qc0teiTH/IpzJGG/hu86KYK4dp/0PzHnTHSpslQxrDU=; b=AP7uJFBus3js
 mC2DlQQj+Dd3PP/Ro4utbrfcHLT7NGR38iNK89ln64b8Q7RB55Orzq54xEhDHhLOID2K2ELEI6wpP
 Lh3yght3rYGJLtambEaZGWysP20Eq1ALIJKEkACua8110i5wuEUtpdDu9sRIIdJ/Auc/DEy81DIn/
 eaKibasul9FTEFdBs6ZpGUikxA7KPLjs13T6x44G2inEsk/Pn9k8YOebtjwGH4h3sfRGReczcdB1A
 /6NBdauiXudQUj7XHnW0av0AD7MTEyefFw1a6i7J3aZq2qUfpmV7oT7haStUR52jjzKTbk8h8utVe
 Xc554NoeY6W3WgrHN2782g==;
Received: from [87.69.77.57] (port=2179 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngSAU-0007PB-Tg; Mon, 18 Apr 2022 10:15:59 -0400
Date: Mon, 18 Apr 2022 17:15:42 +0300
Message-Id: <835yn6wk8h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87tuaqir1c.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 18 Apr 2022 13:12:31 +0200)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <83ee1uwxl5.fsf@HIDDEN> <87v8v6bt5v.fsf@HIDDEN>
 <837d7mwtzj.fsf@HIDDEN> <87tuaqir1c.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: michael.albinus@HIDDEN, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Michael Albinus <michael.albinus@HIDDEN>,  54993 <at> debbugs.gnu.org
> Date: Mon, 18 Apr 2022 13:12:31 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > We could add NEWS to auto-mode-alist instead, and that would solve the
> > issue cleanly for everyone.  That was one of the original
> > alternatives, but somehow it was forgotten now.
> 
> My worry with that was that adding etc/NEWS to auto-mode-alist would be
> false positives (for other files with that name).  But I guess we could
> check that it's actually an Emacs NEWS file before enabling the mode.

I looked at several NEWS files in various projects, and they look well
under outline mode.  Which doesn't really surprise me, since NEWS is
AFAIR a GNU thing.

> But that would mean removing the mode: setting from NEWS itself, because
> mode: takes precedence over auto-mode-alist, I think?

Yes.

> So then we're back to people editing the file in Emacs 28 in
> fundamental-mode.

Yes.  So maybe instead Outline mode in Emacs 29 could turn on
emacs-news-mode automatically when the file's name is NEWS or NEWS.*
or ONEWS.

> > Btw, another issue with emacs-news-mode is that it invokes
> > outline-minor-mode, which means all the headings-related commands are
> > now bound to different keys than they were before.  Wouldn't it be
> > better if emacs-news-mode were a minor mode invoked by Outline
> > instead?
> 
> emacs-news-mode is quite major-modeish, though, so I think that would be
> awkward.

I don't see why.  What do you see in emacs-news-mode that doesn't fit
a minor mode?

I guess my point is that making it a major mode makes this a
backward-incompatible change, when we consider editing of NEWS.  If we
can avoid that, it would be better.

Or maybe it's enough to make it be derived from Outline (if that
doesn't interfere with editing NEWS with older Emacsen)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 11:12:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 07:12:42 2022
Received: from localhost ([127.0.0.1]:38216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngPJC-0002su-A9
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 07:12:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngPJA-0002si-VG
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 07:12:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WdP92zRb7CfPRBvWlVA/9p2pKYv712iQjIllQjIa5gQ=; b=pgcohY6li5F0gSIRKcYB7kTBWc
 lICgFZ64Y6gAfO6Q1v9W4JJGvMNjZRRn08M5b1wGe5pDIHWlwLWa6HdDp3w9huYOYujki3GwVVLZ7
 AS482DdoOOE7K8+0IvynHgKs3wdIZiMPfuqpq2WTWHdphpgdiM4m+2JLJqTZ7HEwhPrM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngPJ2-00019g-4P; Mon, 18 Apr 2022 13:12:34 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <83ee1uwxl5.fsf@HIDDEN> <87v8v6bt5v.fsf@HIDDEN>
 <837d7mwtzj.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 13:12:31 +0200
In-Reply-To: <837d7mwtzj.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 18 Apr
 2022 13:45:04 +0300")
Message-ID: <87tuaqir1c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > We could add NEWS to
 auto-mode-alist instead, and that would solve the > issue cleanly for everyone.
 That was one of the original > alternatives, but somehow it was forgotten
 now. Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: Michael Albinus <michael.albinus@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> We could add NEWS to auto-mode-alist instead, and that would solve the
> issue cleanly for everyone.  That was one of the original
> alternatives, but somehow it was forgotten now.

My worry with that was that adding etc/NEWS to auto-mode-alist would be
false positives (for other files with that name).  But I guess we could
check that it's actually an Emacs NEWS file before enabling the mode.

But that would mean removing the mode: setting from NEWS itself, because
mode: takes precedence over auto-mode-alist, I think?  (But I may well
be misremembering.)  So then we're back to people editing the file in
Emacs 28 in fundamental-mode.

> Btw, another issue with emacs-news-mode is that it invokes
> outline-minor-mode, which means all the headings-related commands are
> now bound to different keys than they were before.  Wouldn't it be
> better if emacs-news-mode were a minor mode invoked by Outline
> instead?

emacs-news-mode is quite major-modeish, though, so I think that would be
awkward.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 10:45:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 06:45:34 2022
Received: from localhost ([127.0.0.1]:38161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngOsw-00027g-4d
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 06:45:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ngOsu-00027U-NM
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 06:45:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41540)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngOsp-0001yu-4F; Mon, 18 Apr 2022 06:45:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ybfJB3NSQqnnhjoXzvN1P964bzeadt7tbiZ/FZQOli8=; b=b3YV3ZDr0RuU
 I9Glx7mPJi7wC+vNb6fnffuuhHUNcmOTyBPcmifsMEkdxy8xkMY2IS+Sk806AqLtQ5wqT2du6GHK5
 QUe4pYvNX0S7T1PnDP7pfBACvlGUKvYP9P1tyMru/MwDp2L8fKifV1o8eLwxF/k65NqRosh3uszAE
 O5wcJEFU5A78DbQnknJsTgLm1w/U2hDOc5TeQe3Da4z/yUYvuywrTFveRIQEwRETh4aBBVzqhHnoT
 CSy0Vn68CeOlj7z3Uy6l+vMXz6clFUvF2KyeVcQD2Q0NpVrohuklVGNW152F5XBfYiGLhkzd8Pnym
 l+EE/jerT/HN42TfyNBHPQ==;
Received: from [87.69.77.57] (port=1036 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngOsf-0005vZ-63; Mon, 18 Apr 2022 06:45:25 -0400
Date: Mon, 18 Apr 2022 13:45:04 +0300
Message-Id: <837d7mwtzj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-Reply-To: <87v8v6bt5v.fsf@HIDDEN> (message from Michael Albinus on Mon, 18
 Apr 2022 12:08:28 +0200)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <83ee1uwxl5.fsf@HIDDEN> <87v8v6bt5v.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: larsi@HIDDEN, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: larsi@HIDDEN,  54993 <at> debbugs.gnu.org
> Date: Mon, 18 Apr 2022 12:08:28 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> Hi Eli,
> 
> >> FTR, I find the new emacs-news-mode very convenient. Hiding it in
> >> private customizations would remove its convenience.
> >
> > ??? How's that?  You make that customization once, and then get to
> > enjoy the convenience happily ever after.  What am I missing?
> >
> > The customization I had in mind is to tell Emacs to turn on
> > emacs-news-mode when you visit a file called "NEWS".
> 
> Midterm, I have the hope to extend emacs-news-mode for some checks when
> adding something to etc/NEWS. Something like checking proper quotation
> etc.
> 
> However, this works only when this mode is enabled. If we need to tell
> every occasional contributor to enable this mode, it would be less useful.

We could add NEWS to auto-mode-alist instead, and that would solve the
issue cleanly for everyone.  That was one of the original
alternatives, but somehow it was forgotten now.

Btw, another issue with emacs-news-mode is that it invokes
outline-minor-mode, which means all the headings-related commands are
now bound to different keys than they were before.  Wouldn't it be
better if emacs-news-mode were a minor mode invoked by Outline
instead?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 10:08:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 06:08:39 2022
Received: from localhost ([127.0.0.1]:38103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngOJD-0000jS-8o
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 06:08:39 -0400
Received: from mout.gmx.net ([212.227.17.21]:51371)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1ngOJA-0000jE-EZ
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 06:08:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1650276510;
 bh=ltR13wdI8MT4j6gRNqVVo0lRdFRdCQtizH8zQ/Gimrc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Ztc4OVC8DPRORgtqQAyHC98Dzm3qqqQ2803akIZojER9qoE7QkmSBm6EdDsSRVcTH
 B2Pkfgp2lu3AGvuEX/NNLnXdDhE5QuxtlN0fsDWv2rvthNJNJWWzdnFgqHSZMB4HA4
 9yoCdf1fv5+5uVPvDL/F5z72B06RHM+/byjfRtyc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.156.67]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N95eJ-1o1j7B0Txv-016Bi0; Mon, 18
 Apr 2022 12:08:30 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <83ee1uwxl5.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 12:08:28 +0200
In-Reply-To: <83ee1uwxl5.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 18 Apr
 2022 12:27:18 +0300")
Message-ID: <87v8v6bt5v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:1bzxV9mXh9YkKMQcmNnVLXdIR73gzGb184DjJ0QVBHBJD3VYt7u
 mB+1mxhTdAKaT3JPNSUR6Ovg8WmTL6GyB0mHVw2pRzXNc7rHwQjO1Pfp0AxPNGBMFaZ6OQ2
 wL+X9H8qXE/o9xUypjct+N9zR5DLODNcA/JJmMPV4DXdhjxbqEtIBUZHwAL2yBNtc42CxhR
 +JIr4fryeAHydotX+2WiA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:yEpEgESnxRY=:2lK6AUaRBtPa7ta8oxfzoi
 fzloHYhJemdDGSS9YQ96BsFT38abFTjcJCR3npi0sIR5npqvPjJitOH8ket9EnVoN9fBkJsOk
 Ov7JJqJov0I1OZBY8zL7270u6FcpDc2ZvQPn4tGgQdQdkNx2L4KoKh+KdO5BIs495b4yZtahI
 QEZCGs0/0Khz+pedsxMK0Laj5rc06R5tr2tlB+BlwK7rfuyCX3V8fhTwKH6uHG3uv3UfUklYn
 ZVp0rbODc8U/uvBYJCWqSrbD/sih+FMWXF/1Tn7qnX4Ulmf1k2WAg83J98HL8jD4eWTGCB4Cc
 MR93rdfIuj0FndgRG9rRyK46lux7y3N+OEg4YF2f54ckxRZBL+GYQVfb6V3BgxhkbymvaPvhF
 NrYaJaHlxCTLfLLEuFNZeDrfmpm/PcLPmmTntPC4LgiBfKo+qkajuGB7URTBS8cyTsFUU5odP
 xEiFjHLzBz/0fEU+5K6x2xx+E7HmcAKNdqW0yeIACTkOY9DYq3ZTo2X5aZvmY9HnxCJhQ+6BT
 POevYKhJKDI93B2qdhlsq9QHnPDO+8QcJeQdglVcMCJXtu9j4nvCdBGS0QzsLI1+ec3biCNTU
 OGEtkjHDBJD/EBoqQv2FsJ53T8PIumHnjqH6ZAsfI7Dl2XPMm7xy2EMf3mWV+dHZKkpr39Ukf
 AnL08Xuk4S5igF1Y9on3i4IHHJNVTy+vkBhVDZ3L0RL4Mi2qje60/ZGaAx+rOJPBpXo338odI
 64Y37gBqCBHh/RVpzc9mPaEixUUo4p/Btt9q8f1jh+Uzv9/Z9VWfsWR5dakTDsFbwYU5ucjUu
 PC2319nc7JtQAZ9K0iGjpD4zRFxuO5TSfSo254FS4GGj4P5Z3tNK+i/0S94/OHNxidIilMbks
 mgZ8Sjc2QMFTwU/0wAAPdr2Vw5kqawtIhlrWSq7BRc0iSku3TBpjJVaq6rsrgw0WuXrTHB1Er
 iRv/+a4OR4i4jVo+lNx7i/CkSDz9x/uXMcLoxORgydWhIJOt5vi+e+JWjc7PJ0xI67Z8Z9VBc
 v3dUw2DjUzVFotKHxXXbu5dBcyq9S1aZ0iwWf/5Aj0lYi6tCT8/56ZNVXpabD54fCqm8y1jH1
 pDbypKPLRsItiQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54993
Cc: larsi@HIDDEN, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

Hi Eli,

>> FTR, I find the new emacs-news-mode very convenient. Hiding it in
>> private customizations would remove its convenience.
>
> ??? How's that?  You make that customization once, and then get to
> enjoy the convenience happily ever after.  What am I missing?
>
> The customization I had in mind is to tell Emacs to turn on
> emacs-news-mode when you visit a file called "NEWS".

Midterm, I have the hope to extend emacs-news-mode for some checks when
adding something to etc/NEWS. Something like checking proper quotation
etc.

However, this works only when this mode is enabled. If we need to tell
every occasional contributor to enable this mode, it would be less useful.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 09:37:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 05:37:17 2022
Received: from localhost ([127.0.0.1]:38048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngNor-0006AV-FJ
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:37:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ngNop-0006AI-9R
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:37:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40694)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngNoj-00087K-Sz; Mon, 18 Apr 2022 05:37:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ao5dOaFBZnv6y3B2FOSvKs6TKs1OxZrqyq2aMk2ladQ=; b=mmVS0eszlc/G
 awlcoxkGyo1kh+P/M9186hBKBQLhRczITRB7VhImcy2RssiCi32LBWniLc8NJKudds20z79v5Kj/p
 ZU/eDfSIU3b+mA7ic3j1MdwlTHwn0BbwP3nul9Hz59gfUWhOV3pDcoMsaaMo+l6oigKp0mWA9lIsE
 85sRwCBt4w5K6F1tfOFTIKHaLIi46QfCP11pn+6x7Aipb8hNmpW0xgolEg/i2FLbPRF/zogTHXnYb
 IaQfZh+4zSuL6z63hpTkR/P+FRp2gNk1gdRvcypfXWth6PaBbehQcM9+DZayL2DCsK7/aoqgOq2DA
 YPON6xfvmCWD+IeMlB1lCQ==;
Received: from [87.69.77.57] (port=4767 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngNoj-00030q-CB; Mon, 18 Apr 2022 05:37:09 -0400
Date: Mon, 18 Apr 2022 12:36:56 +0300
Message-Id: <83bkwywx53.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87y202ka4c.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 18 Apr 2022 11:34:59 +0200)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <83ee1uwxl5.fsf@HIDDEN> <87y202ka4c.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: michael.albinus@HIDDEN, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Michael Albinus <michael.albinus@HIDDEN>,  54993 <at> debbugs.gnu.org
> Date: Mon, 18 Apr 2022 11:34:59 +0200
> 
> You're demanding that all Emacs developers that want to use the new and
> handy mode alter their .emacs files, instead of doing so yourself.
> Isn't that almost an insult?

No.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 09:35:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 05:35:44 2022
Received: from localhost ([127.0.0.1]:38037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngNnM-00067Y-Od
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:35:44 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngNnL-00067J-D6
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:35:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=xDPSKpx1DZ/QNkE6EJ3vVo1lsBMQyF0I32SnFaT/5CA=; b=ies7KUnKV6jYfDdte1JxrKZUTY
 cCC7ReIqWH+2aSNJ0d2Db90YwSLYeomdhE45+I6RqPJ/69KWANPkPORKmPJAiiiJxx6DnPQKqVFnz
 AVrwxEg/6z4xSGP2c7VQZCMPsx114Gr6nxYa21PUN8thT5QqejCSvfXAEmKGg8Fur9jM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngNnC-0000Iy-Re; Mon, 18 Apr 2022 11:35:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <87v8v6lqyq.fsf@HIDDEN> <874k2qdbez.fsf@HIDDEN>
 <87zgkibwi6.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 11:35:32 +0200
In-Reply-To: <87zgkibwi6.fsf@HIDDEN> (Michael Albinus's message of "Mon, 18
 Apr 2022 10:56:17 +0200")
Message-ID: <87tuaqka3f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Michael Albinus <michael.albinus@HIDDEN> writes: > I stay
 corrected. It prompts when I start "emacs -Q". Somewhere in my > config I
 must have allowed the eval. Ah, right. :-) I was starting to doubt my memory
 about eval: more than usual. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: Eli Zaretskii <eliz@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus <michael.albinus@HIDDEN> writes:

> I stay corrected. It prompts when I start "emacs -Q".  Somewhere in my
> config I must have allowed the eval.

Ah, right.  :-)  I was starting to doubt my memory about eval: more than
usual.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 09:35:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 05:35:11 2022
Received: from localhost ([127.0.0.1]:38033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngNmp-00066Z-9l
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:35:11 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngNmn-00066J-7R
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:35:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4YSe6LKRs/jNzjnGPLGraMhbqnPfAMn8w5iYXbxudN8=; b=LSExrlcGGI+GwLz7c1wYlvEEAJ
 GhtsH15XRMMeLSbAlXk2hXVe+sMlVb+F3u5P+5TdprHVK/5ynnyLH1py9itdphEYin1+gF/sbgbxb
 iUZIy9sBwuPolFAB7QNpRka/AtTnQ87a/inkRmC8cZ3wngHEAzkyLqotyRD5h+kp2fOs=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngNmd-0000IY-Uh; Mon, 18 Apr 2022 11:35:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <83ee1uwxl5.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 11:34:59 +0200
In-Reply-To: <83ee1uwxl5.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 18 Apr
 2022 12:27:18 +0300")
Message-ID: <87y202ka4c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Really, I very much
 object to this disruption of my long-time workflow > of working on Emacs,
 which is that I almost always use the released > version of Emacs and not
 the development version. I can [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: Michael Albinus <michael.albinus@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Really, I very much object to this disruption of my long-time workflow
> of working on Emacs, which is that I almost always use the released
> version of Emacs and not the development version.  I can work around
> this, but the need to come up with a good workaround is in itself
> almost an insult.  And it goes against the basic principle that people
> who want a feature should bear the burden of having it.

You're seeing insults where there aren't any.  And I've posted code that
you can use to avoid having your work flow disrupted.

You're demanding that all Emacs developers that want to use the new and
handy mode alter their .emacs files, instead of doing so yourself.
Isn't that almost an insult?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 09:27:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 05:27:39 2022
Received: from localhost ([127.0.0.1]:38023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngNfX-0005tu-0l
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:27:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ngNfV-0005tg-Vu
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 05:27:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40582)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngNfQ-0006S3-Ka; Mon, 18 Apr 2022 05:27:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=DXJnMEKAvHDpcuTkWjRQ4Pk0jQrJes3DEvFhZsmkd8w=; b=Ww5Kwd1SzMLf
 6ttr29MQRhh2HxFuWTIv8tNiUlP3QTIatIcTTdIJUxd3+X/erUKH/Con1D8pKjt2aLUyCJQcylHt0
 iqx+GXURiYzMmo/lUXfJZNC9xAd3mMtZgZGoSaY0Te5kyax6ag0T6Y53VEFIxf7cA0zreAJ1UNebr
 2TW3ybd+tO9vXhf2b7m63kOWpMkH2ZijbFec12esoovzcSPZRUgrQeC6BKj1HgulEQjtUVnNBLBxI
 +0Pj6Cw9aGuUx0HGIJRbRLeAO4h3fR43zs5SL36XbXHC0hWcN/R1CaJcQwRjOV/CGaJuUwC2mdGpN
 Vw3Sy43Mz+pbJoKQqjYUrQ==;
Received: from [87.69.77.57] (port=4164 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngNfO-0001zF-LG; Mon, 18 Apr 2022 05:27:32 -0400
Date: Mon, 18 Apr 2022 12:27:18 +0300
Message-Id: <83ee1uwxl5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-Reply-To: <878rs2dbtn.fsf@HIDDEN> (message from Michael Albinus on Mon, 18
 Apr 2022 10:40:04 +0200)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: larsi@HIDDEN, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,  54993 <at> debbugs.gnu.org
> Date: Mon, 18 Apr 2022 10:40:04 +0200
> 
> FTR, I find the new emacs-news-mode very convenient. Hiding it in
> private customizations would remove its convenience.

??? How's that?  You make that customization once, and then get to
enjoy the convenience happily ever after.  What am I missing?

The customization I had in mind is to tell Emacs to turn on
emacs-news-mode when you visit a file called "NEWS".

> What about
> 
> --8<---------------cut here---------------start------------->8---
> Local variables:
> coding: utf-8
> eval: (or (fboundp 'emacs-news-mode) (defalias 'emacs-news-mode 'outline-mode))
> mode: emacs-news
> paragraph-separate: "[ 	]*$"
> end:
> --8<---------------cut here---------------end--------------->8---
> 
> It requires you to confirm the eval form, but this is the price when you
> edit etc/NEWS from master with an older Emacs version.

The need to confirm the eval form is an annoyance, because, unlike
some people, I actually read the message and think about it before I
confirm, and that takes time and is a distraction from the main job,
which is to make some change in NEWS.

Really, I very much object to this disruption of my long-time workflow
of working on Emacs, which is that I almost always use the released
version of Emacs and not the development version.  I can work around
this, but the need to come up with a good workaround is in itself
almost an insult.  And it goes against the basic principle that people
who want a feature should bear the burden of having it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 08:56:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 04:56:27 2022
Received: from localhost ([127.0.0.1]:37933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngNBK-0002uP-T8
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:56:27 -0400
Received: from mout.gmx.net ([212.227.15.19]:54469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1ngNBI-0002uB-VS
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:56:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1650272178;
 bh=kHlmArLK19mgeE5PP4LbQsrMvSsmE7hFdWk37ibHRCc=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=lptbxyeQfZEW5PaqeE9CJiKD1npVPLo624E9leYG/vwYnLH25rTKM/TvugakmCvfH
 B8c89Cp5u3sHmZy9vvyt0jQyGSbD/BijUCo3YHFvcrbpb83lSDnnCPoQ0+PAaU5pih
 1ChHMJz4rpLfCc5WQJqu7FYkPGrVDYipdtJOd7fo=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.156.67]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mw9Q6-1nx4cQ1dTg-00s9dc; Mon, 18
 Apr 2022 10:56:18 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <87v8v6lqyq.fsf@HIDDEN> <874k2qdbez.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 10:56:17 +0200
In-Reply-To: <874k2qdbez.fsf@HIDDEN> (Michael Albinus's message of "Mon, 18
 Apr 2022 10:48:52 +0200")
Message-ID: <87zgkibwi6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:FyE5FIYJfMkjSF/K3XfVxwH7wM2J+/3FGmJrH1J+W4O2gczfv20
 aRr85JHEO5e67Fwp3kDr8zOZjV4fcvPKmr4Oqcnkj02/F1OsO9nb/KMSTgFCSxGB8mPsu+j
 Rrlds1l1B4K7R6aKAilkdEaPFRJq2l7aLWPNCScRGfmZ1pLsgZddSQhuHIyW0qhjSxXG9+Y
 F6Bc1lLZ5Ylf91axBAAaw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ueazPDTMUuY=:pSJ+pPerbvvtX7ps5Uw+Tt
 LSCRQph72lis76TQzV9M8ZW7VwCuR/K37RDR8hdRvHqdwsjz9gb38Qyr4nNkgP+FRMFoqsOdl
 2ML9/2wOSZcFrd6+C8WU92Bpi/ibbIry7LdoW3qVpdlGQB5WkJoURvPC++Mnkf4EM/bDrsce6
 IjSVqdTQaqoxwiCKJIj1v8GuBUBpSrzYCBysRbNuW7PUvf3SzZHdr3h6b0wcjJBDI2LJCTRes
 JTB88n8UQl9PriZ2qSVCtWXNr3ZljJIjD7CGt7At2sm33T7MO533RottKa823oAxhh73UaX0b
 CiYfLk1Wi7qeA7ybrYy1aCJpPz9OYKtVjs4Ue1/z9YO0YDAmKhl1p1/zYrjIT2IpzBYW4acmo
 VcNUF8xWAjBpeOABEx3Cd3Jj6Gp6wdbcAK9QOimuz70yIWBu/mF7OBRH69KXQ3P3U9BBY505H
 WvYCzvintRM4J4Wyqmd1f1MSJ505LHMGMr6Fp/FYBYHW9LCtQ9mG3FNIYewPdDLNw+edz08va
 2lUbawD5pWylT4YERi1smODcEw/JONApg0l8OC9jFK6KhlqDpCPgTsQUTchZyJBmzkvAaJBIu
 5HzlBhcA6JZcgqutMwbRwiQ/feBud7xhFVYs1eyRg27ZfrmoShGL0FMcC74jV0ebnQ6AnZY9O
 nVv/jwXwaPn2Nx16TPlsa91kUBz/DO/aHa7N3VHIFkjxugem1az1mVxYStQsNoTe1v5/+cWgz
 B2xunrSr/7GqzhrE4873B2TIu4ivEksVmk93ZhXoFnpehkz24E8AUEAR6UafY/T/0z2FSg/i9
 MGAmUF2znIrKuGCuum//TcJeEoQw7iRRqlNJ8q4NHLewGHyfdEmp4sVG8sxzGxPG+DYSNj3bV
 zKWbwgLBWuWpkY18RtJh3fs3TZIVJVk+R3BbTDkx8vDv8SGurrj16EGt5eCMhIIaBgnqQ97yb
 xmb8ovsKfHA5RAdygi9yzmT0XQQZy659lvK4Sb8uIZbpWyPt4VFEwjhMgOAJqIWkrHKLkpAq8
 R4nKwOAQY7vw25xBHWkiNWANYOfFsAUC6RcVLGQg1uwROxWBOkoDip9hCQ+3uVVCNSmS5ZWkt
 1cvgHEEJo2IzTY=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54993
Cc: Eli Zaretskii <eliz@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

>>> Local variables:
>>> coding: utf-8
>>> eval: (or (fboundp 'emacs-news-mode) (defalias 'emacs-news-mode 'outli=
ne-mode))
>>> mode: emacs-news
>>> paragraph-separate: "[ 	=0C]*$"
>>> end:
>>>
>>> It requires you to confirm the eval form, but this is the price when y=
ou
>>> edit etc/NEWS from master with an older Emacs version.
>>
>> That would prompt you in Emacs 29 too, though?  I think?
>
> No, it doesn't (surprisingly). Perhaps, because fboundp is regarded as
> safe, and defalias isn't (just a guess).

I stay corrected. It prompts when I start "emacs -Q".  Somewhere in my
config I must have allowed the eval.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 08:49:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 04:49:01 2022
Received: from localhost ([127.0.0.1]:37924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngN48-0002jO-Tr
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:49:01 -0400
Received: from mout.gmx.net ([212.227.15.19]:39375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1ngN47-0002j9-Ew
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:48:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1650271733;
 bh=WZBnPPYGHRmXb3mWiMo9ZC+QPK4NodwvhICPLBhVuqA=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=OLsPCY6/hmISiELuwrB7YCFGQuMIzB5+LkoeZaei+sFVVsX9lq72weoKs03PiC6yu
 N7a2Iv6oZesSAjI9BDRYHO3LcwMDVMD3XM8XEsH8+z9ZBOm0vMcM58Jr6n5euXhO1n
 fA38yzuk5VD0WHyFmAZSIpzKbL9DBMM878SnUmz8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.156.67]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MfpSl-1o8r7c1JHt-00gG8L; Mon, 18
 Apr 2022 10:48:53 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
 <87v8v6lqyq.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 10:48:52 +0200
In-Reply-To: <87v8v6lqyq.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 18 Apr 2022 10:45:49 +0200")
Message-ID: <874k2qdbez.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:nJm0ePgs4KaxFlmtIax9VAKjtYHXUyOucpBEqaUBt0nNWxwrWnq
 LSK2aBL0WNmShKifZFx0m03alXal3xu8J/s9TvqXFdWl5K9RUztmsmlrOhgnpeJV+ANVyOr
 MuCJ709Mu/H18WjwQrt+beKnpmcjENyj6xJuE2ZeRNsYn4etqzBWO2vqbJwnHXw/B7JMwHo
 JcMAr0s17oUzEJRyiXQlg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:k8NBVr2Clp0=:QhNyCli/1B7C8REYc2bbw6
 dzxB7IFsUgSufOuNJyfBe08VHRLkeYLpkmCggJb5zOjoYYlOf7xu6neqHThYtN112H3vZ/pfx
 N1n8bQw0c/qkGA7FmeIWC43hHS5MzR2dRLvA8t0kDG6LPW11Y3Er6ipjZ+1VLiUAaGZKfALA9
 ZZliXAydoF2OUSRc67da/AxfFXm8Rdl+Oe3AGrD3yTxjJNOk6chCK0Jk7DsM//7XZYPIwE0p/
 HVeOiRZd1TrXnkSTSPesfC9qZcQh16orCZTi2v+wV59fqbAwsi39cOhwDNkXG0j6mg82xVEb2
 9su9LAZLbv+f6wGC6alj2khQ0C6ZsVrHjNKuL8NBb3tFV7vHBikdgE0HeqtxGmLmCKDlUeBeR
 GceWpJ9p+9JC9pyDnpDmoy0pD/Hfif5n50+iQFe94JCRvDdP8JE7AERmXlmx75WqMUdbkdM4J
 4AUxmjaPfa2H/S7NFLHAvCOt10vbdzV+lFSjrBZHD1C3kp8w1xozi/o4pwTKctjqbdOtddSE5
 GUyk21lRsKPAzc/eZklT57EwATI4aXG6phGfkttCNgb9JEp37lpSkG5ECALG86DpT74JmEFY7
 oSLa1fC7BVFRNCLL2EkN3nQ1Ivgj9NXHPknJNFFXvID2jakLv+1Sq7QFvaldv9u+CChgQY6zR
 bNXCvSuv5kqoAbYWY82iPiD2u0KKOm6L8+hQovnVubi/xU+j+DS32yzYZoQy5jX71GMXuWFVi
 mzbf1vQHqrOIAGXyzS5qMVLutKf4WkoWQXLv1eLwxZkGFhRajsJ6rOFXV/czleFV8nG+RmTsT
 xkhe7elDyf8stEPabEbZ/lRqDSsT1I6VIPUCaxnrnAcudjE0s14MsTvQA78Qf2XOG6lmEDorf
 uhN1+d8W24//TosUDKsGkqq/ON6YyCwj/2bGEJcGBmQ9bzuN0ZaTT7SDL55WGzSknLePKVFT1
 YYsx17GM6/NwUSQWR5T6BlLQrYswdlrQ//32QnRETlHJskysBITCsJyYKdDZjUfbXhidhEek+
 ek67eLEsDqobGH+fG6wu60rFUv9Lp6Ex9NAWn6GLqjDLkcVwJOBjco0WJVpSNiRzaUxvFC4Ip
 CQyyTdv5kjdrns=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54993
Cc: Eli Zaretskii <eliz@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> Local variables:
>> coding: utf-8
>> eval: (or (fboundp 'emacs-news-mode) (defalias 'emacs-news-mode 'outlin=
e-mode))
>> mode: emacs-news
>> paragraph-separate: "[ 	=0C]*$"
>> end:
>>
>> It requires you to confirm the eval form, but this is the price when yo=
u
>> edit etc/NEWS from master with an older Emacs version.
>
> That would prompt you in Emacs 29 too, though?  I think?

No, it doesn't (surprisingly). Perhaps, because fboundp is regarded as
safe, and defalias isn't (just a guess).

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 08:46:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 04:46:02 2022
Received: from localhost ([127.0.0.1]:37917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngN1G-0002ca-4K
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:46:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngN1E-0002cB-FK
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:46:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=QaqobMnFRwDOFXoDGV6s6wP0Zt0LrEBtyKKOCM70E6M=; b=oe70RVVFiK1V6ola191QrRSeXc
 KniGEz4TLn48iSWAX6FDRU9gaoX3tv4ff0k8FaM8L/z+QKIR/qShwlhPSf1gla+ftU7YIj9twQYPe
 LtXkglreq2UlQWegkg8Y68sKxNNgiCnFYAue7Q3PzmyHXtF7c3tpu/wXtus01z0GtTdE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngN16-0008H9-8k; Mon, 18 Apr 2022 10:45:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <878rs2dbtn.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 10:45:49 +0200
In-Reply-To: <878rs2dbtn.fsf@HIDDEN> (Michael Albinus's message of "Mon, 18
 Apr 2022 10:40:04 +0200")
Message-ID: <87v8v6lqyq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Albinus <michael.albinus@HIDDEN> writes: > Local
 variables:
 > coding: utf-8 > eval: (or (fboundp 'emacs-news-mode) (defalias
 'emacs-news-mode
 'outline-mode)) > mode: emacs-news > paragraph-separate: "[ 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: Eli Zaretskii <eliz@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Local variables:
> coding: utf-8
> eval: (or (fboundp 'emacs-news-mode) (defalias 'emacs-news-mode 'outline-mode))
> mode: emacs-news
> paragraph-separate: "[ 	]*$"
> end:
>
> It requires you to confirm the eval form, but this is the price when you
> edit etc/NEWS from master with an older Emacs version.

That would prompt you in Emacs 29 too, though?  I think?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 08:44:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 04:44:20 2022
Received: from localhost ([127.0.0.1]:37911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngMzb-0002ZW-Qd
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:44:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngMza-0002ZK-5f
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:44:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=OVisvRpqDkXL+qmZpcx+dmC36FzdOzFdTysUFhBrvrQ=; b=MIITieBZ9loaKhW+yc3ZAetsw1
 jE2pu0XPc65K5q7WdORu80C6LU9ViM8DhQ8OzBONnPip7hnBD2xkZF5PEGWFitV5aLcDMoNjzQl0n
 LIpSCTJCt3EeNxe+1tmJ6MZXPscCG5JnWqLu17H3BeTEhV9bDYtAvdIK6N+WlykZ5ynk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngMzR-0008EF-JQ; Mon, 18 Apr 2022 10:44:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN> <874k2qn5pl.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 10:44:09 +0200
In-Reply-To: <874k2qn5pl.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 18 Apr 2022 10:41:58 +0200")
Message-ID: <87zgkilr1i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I've now fixed
 this regression, but I see there's (at least) one other: > In Emacs 27, if
 the mode: had a mode that's not defined, it just says > that it's ignored
 instead of trying to call it, whic [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: Eli Zaretskii <eliz@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I've now fixed this regression, but I see there's (at least) one other:
> In Emacs 27, if the mode: had a mode that's not defined, it just says
> that it's ignored instead of trying to call it, which seems sensible, so
> I'll fix that regression, too.

Oh, that was fixed by the same fix.  :-/

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 08:42:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 04:42:10 2022
Received: from localhost ([127.0.0.1]:37907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngMxW-0002WK-CX
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:42:10 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngMxU-0002W7-QH
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:42:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=YjlpTiC1KuKcBXYsSdI6Hgt3zdWEJhoPck/PvqkLn9o=; b=Q/ZW88pdGUdP9CpQiX9MhShTlr
 ZXlv2VYdqGVP79g1jmGsoYrElleuZdDyEXyYZ2CwWYCPWdAuT3tDlH5h4nchyOdW+WUrqWgazTI+d
 sfcdpDPlRJmUh3dc/YphARjpNuLJfS+rD3+MaP3qg/JMmmZuVHRD2BuArqqac0WRGPLE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngMxL-0008DN-ML; Mon, 18 Apr 2022 10:42:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
 <878rs3mm4p.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 10:41:58 +0200
In-Reply-To: <878rs3mm4p.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 17 Apr 2022 23:32:38 +0200")
Message-ID: <874k2qn5pl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Here's a must
 simpler recipe. Put this into a buffer: > > Local variables: > mode: text
 > end: > > Then say `M-x emacs-lisp-mode'. After doing so, the major mode
 will be > `text-mode'. > > This is a [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: Eli Zaretskii <eliz@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Here's a must simpler recipe.  Put this into a buffer:
>
> Local variables:
> mode: text
> end:
>
> Then say `M-x emacs-lisp-mode'.  After doing so, the major mode will be
> `text-mode'.
>
> This is a regression in 28.1 from 27.2.  I'll have a look at it
> tomorrow if nobody beats me to it.

I've now fixed this regression, but I see there's (at least) one other:
In Emacs 27, if the mode: had a mode that's not defined, it just says
that it's ignored instead of trying to call it, which seems sensible, so
I'll fix that regression, too.

But I can't get this to work in Emacs 27.2 -- Jim, are you sure that
this worked at some point?

mode: emacs-news; mode: outline-mode

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 18 Apr 2022 08:40:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 18 04:40:14 2022
Received: from localhost ([127.0.0.1]:37897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngMve-0002TB-Jm
	for submit <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:40:14 -0400
Received: from mout.gmx.net ([212.227.17.20]:45013)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1ngMvc-0002Sq-Fl
 for 54993 <at> debbugs.gnu.org; Mon, 18 Apr 2022 04:40:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1650271206;
 bh=H63kox8GXZYJX+59WuwBZTjnn3F/VXmdHHFMLHhrVes=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=kN8SO2YuRbdg5tEiaCgOXsfI4jbU/JmhW3y5rl5f4psIDvGCKE/EFYi8ga60u3dRm
 yjDghmgJj36BtA83ICrHKYzl6dE991CZhq36w91kMnjXK5BwiybdUBtzXc4ZkV3cNA
 h8RA+Rctf3RcYgXW2edMqWruplYXOwZ5z0acc7bY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.156.67]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MQv8x-1nJdFS3Z7n-00O1Cn; Mon, 18
 Apr 2022 10:40:06 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN>
Date: Mon, 18 Apr 2022 10:40:04 +0200
In-Reply-To: <83v8v7wmgh.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Apr
 2022 22:15:26 +0300")
Message-ID: <878rs2dbtn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:N4ayNFRdVK01tKQ2N24lZks0g3EAnWvS9E1bWxgPRmwx/QnVXyY
 D9dUuHGPAIh1bF5BcvwwXxdH0Z0PTypPpToGrM/fJkWiMe8OHEyVIJs1D8VJ7mBC4y8EbgW
 zBprVIQ/mkOg7FrlLLy4LhjNeU9K632zOgrMPa+IwfFHQlbFB/1mQlnpM3/Kxv+aHYivRr3
 wdB+OqmjyANQwJVgTZY+Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:2y40t7Joa5A=:W7NGbNTdbjGV4znNbOI6kK
 pmaYhQcLjXHOqI/CdsGOA3aRD/shCDUYpAK1gzsjhAqsFDyR7kftPaKS5ptztsSvxfpZLELBo
 O0Ot5U/U2W+Oyued6v4j53f5mkky0KU/QeMUNfVGGwxUqS23TAXEZ+p0axAJmxNGipQIkgwaL
 GYyupe9i6D6UgamKdXMyv/TcUFzJThor2czO6O5eyAloZoGHq/F1i9c9qjnLphBl7jrFcvwlm
 fAI6bOz1pg+icCEomI7nFaGkbCdqlcpfhdhGFMd2EhP50g0xLHrlFj2BuqpldJWxaAZkwszoD
 cWE3D3+WvxiYCNcqfKMA5OqcqooCqcZ2aOk7n3XpBScOSEskBchcGtOfRvYCNxgBjIwTFccJe
 cPCuY8Z43O81dKxVg/mwcr1PedQQeXjdus+yXro4Hc8FXRfa/BzKzdcLzeznpjX2Kd0BWAa+Z
 Nzfa2CO6oWLwugVCfovmya2H6xOsdVrEP3iLwzwSTH84wvJxXP/VuXbUKvGepH+IQAQ5AgISb
 MDBEOFZakLUUmycuYz9mM7WVmy64XJNAOSdCfhNbl0LaiQyiB3ZMdjZepjbe0rDpEJauu++67
 +vrQ0/3R8/Wyk+GazyvShXjVFNsOeb+y59WRAjpoC4Tw7C1eZkPnCtKaRRR/Ly8eE8gEHT3lz
 f1YPXhwSO4/uHqX/bYXm7zn/Ds+A6lDkLUUpFQT0ZUJ1bmgTc3r0EpKOpU1Pye6r+lsWrJ10G
 i3MtAjruR3E5Mn2rk8L9ti82ogSj6rPtsX+3XAaM/If07Jx6I0M0kE9ghRu0IUL+/lu8Ss2jh
 R/oF0ws0iUZoWRmQwAb9lHw3bwE/hFgGHdvt0HFsSeRyRwsp3ByngGzqlpM2XTMV45Mb4l+2p
 +e6vfj+Pcbfhvq2ZoorfxXMs6oQuJ162zxHYYwCRjNc1hMz2V8NwoNDOFnp/0fiPFezq8u8xS
 hAWCBcjkLyBCXFpN/iU0XXTyZte1dvLVwWvwvb+TJZz3MVPCpYJMWy5WnWhCOd5d/msbGkFGX
 V4Gz8jA/sCzrvIrpeKlHG09JnwCzPwW8OL4FRLAmy+qqxxfGPxIgwBwwzRf3BqMih43aXW5ri
 ZY8YpQaS650uik=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54993
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > No, I get Fundamental mode -- which means no highlighting of headings=
,
>> > not auto-filling, not Flyspell, etc. -- all I have in Outline mode is
>> > suddenly gone.
>>
>> What's your suggestion for how this should work, then?  etc/NEWS in
>> auto-mode-alist?
>
> Either that, or private customizations.

FTR, I find the new emacs-news-mode very convenient. Hiding it in
private customizations would remove its convenience.

What about

=2D-8<---------------cut here---------------start------------->8---
Local variables:
coding: utf-8
eval: (or (fboundp 'emacs-news-mode) (defalias 'emacs-news-mode 'outline-m=
ode))
mode: emacs-news
paragraph-separate: "[ 	=0C]*$"
end:
=2D-8<---------------cut here---------------end--------------->8---

It requires you to confirm the eval form, but this is the price when you
edit etc/NEWS from master with an older Emacs version.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 17 Apr 2022 21:32:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 17:32:52 2022
Received: from localhost ([127.0.0.1]:37481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngCVo-0002m0-B1
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 17:32:52 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngCVm-0002lo-QU
 for 54993 <at> debbugs.gnu.org; Sun, 17 Apr 2022 17:32:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=JH+my1nm5WzTFBBK5SP6fmfZd9Ilsu7SunIX5QBDg2Q=; b=NUI7yAUHMruZX0N1jSqWgjE7Eg
 dOTWaZWUv/BZrOSIp9crZa+mDDAK7yY7YtEkmKNQqImV914PQBVg+bZyaSrOET9fq8gdn8/qJO3fo
 JGcIRAdl8/vDjtyhX8eBwXt2eGKAQi2rFj8XCAfPfo6oQA+7+C3x6e4RYFBx0O6hRJF8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngCVb-0002AD-Km; Sun, 17 Apr 2022 23:32:43 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
Date: Sun, 17 Apr 2022 23:32:38 +0200
In-Reply-To: <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN> (Jim Porter's
 message of "Sun, 17 Apr 2022 13:17:20 -0700")
Message-ID: <878rs3mm4p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Here's a must simpler recipe. Put this into a buffer: Local
 variables: mode: text end: Then say `M-x emacs-lisp-mode'. After doing so,
 the major mode will be `text-mode'. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: Eli Zaretskii <eliz@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Here's a must simpler recipe.  Put this into a buffer:

Local variables:
mode: text
end:

Then say `M-x emacs-lisp-mode'.  After doing so, the major mode will be
`text-mode'.

This is a regression in 28.1 from 27.2.  I'll have a look at it
tomorrow if nobody beats me to it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 17 Apr 2022 20:28:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 16:28:12 2022
Received: from localhost ([127.0.0.1]:37349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngBVE-00013P-7P
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 16:28:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngBVC-00013A-38
 for 54993 <at> debbugs.gnu.org; Sun, 17 Apr 2022 16:28:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=RX8fyn5taS5/PDdsDicRk5pmYqmSXOm5nvCN5vqsqLg=; b=XV2Q/F08w4QbnPGeLVF4u7IloK
 H+5xYy82MPCcR8jTi5B3OTZ/Ul3hAiTYes++YXL2x14bobpUVOhRfFdcEY67lPs3WqGTQTwpmbo6s
 A+GdhSdMRglDD1wRDFmuffNwFwxWD2Cpi8ySv5N1Ao4oqqvImE0SxuQU4K+c2mZn1ieg=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngBUv-0001Ys-8V; Sun, 17 Apr 2022 22:28:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
 <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
Date: Sun, 17 Apr 2022 22:27:51 +0200
In-Reply-To: <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN> (Jim Porter's
 message of "Sun, 17 Apr 2022 13:17:20 -0700")
Message-ID: <87o80zmp4o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jim Porter <jporterbugs@HIDDEN> writes: > # -*- mode: FOO;
 mode: BAR -*- > > This way, it would try to load FOO-mode and then BAR-mode
 in order, > and so I could set up the mode for files to ensure that users
 with > BAR-mode available can u [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: Eli Zaretskii <eliz@HIDDEN>, 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jim Porter <jporterbugs@HIDDEN> writes:

>   # -*- mode: FOO; mode: BAR -*-
>
> This way, it would try to load FOO-mode and then BAR-mode in order,
> and so I could set up the mode for files to ensure that users with
> BAR-mode available can use that, but it falls back to FOO-mode
> otherwise. Unfortunately, in Emacs 28.1, this now fails with:
>
>   File local-variables error: (error Lisp nesting exceeds
>   =E2=80=98max-lisp-eval-depth=E2=80=99)

Yes, there's something weird going on with the mode: spec.  With the
following, and Emacs 28.1 (and NEWS from 29), it infloops.

(unless (fboundp 'emacs-news-mode)
  (defun emacs-news-mode ()
    (outline-mode)))

Like this:

  emacs-news-mode()
  hack-one-local-variable(mode emacs-news)
  hack-local-variables-apply()
  hack-local-variables(no-mode)
  run-mode-hooks(outline-mode-hook)
  outline-mode()
  emacs-news-mode()
  hack-one-local-variable(mode emacs-news)
  hack-local-variables-apply()
  hack-local-variables(no-mode)
  run-mode-hooks(outline-mode-hook)
  outline-mode()
  emacs-news-mode()
  set-auto-mode-0(emacs-news-mode nil)
  set-auto-mode()
  normal-mode(t)
  after-find-file(nil t)

The mode: parsing stuff was largely redone for Emacs 28.1, and
I guess this is a fallout from that.=20=20

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 17 Apr 2022 20:17:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 16:17:28 2022
Received: from localhost ([127.0.0.1]:37344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngBKq-0000nN-6I
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 16:17:28 -0400
Received: from mail-pg1-f179.google.com ([209.85.215.179]:43978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1ngBKp-0000nB-9S
 for 54993 <at> debbugs.gnu.org; Sun, 17 Apr 2022 16:17:27 -0400
Received: by mail-pg1-f179.google.com with SMTP id u2so15344206pgq.10
 for <54993 <at> debbugs.gnu.org>; Sun, 17 Apr 2022 13:17:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:references:from:message-id:date:mime-version:in-reply-to
 :content-language:content-transfer-encoding;
 bh=q8yw8l1FF5SiLV7dNx4+8YbhqSUgjKgT9/P8b/bEDrQ=;
 b=W+UzqxGBbbFsxh7KM7g344EPriQnLEY+GKWCF68AGPpO6hbjKVp4jKwEOtvKwjcSnu
 1Dpol36/GV1z4CI28SZ06wiXhfbo2vXj7E1Kumb35VZh96/SxsOiA86VMS9KJ6s+CYvm
 xkTUBfIY+cDHQ7G9cxQFKXr49DKejcLBsYy0OgJq9HM1YzWI7vYAhfRsw2UXM0SLDPtA
 hlZtw0guGH3Gi8ywXtUq2hOGelA4LVwLRAQd1shoQSHuLzDvUNEPI8+PTPI7GbkduOOo
 E+FzJruif3op+FoR4NGZvDTeaoA5nmLAJgRSYQRmcUu9nwjVgNEuGychVjQ6n+aG3fHH
 mKyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=q8yw8l1FF5SiLV7dNx4+8YbhqSUgjKgT9/P8b/bEDrQ=;
 b=OLrLgDJ4Knv2qls1qQH4I6FKU1pI2q/IxnSmQZn/EwVLNzlMYbhdQhtDAqmnaWDiuT
 juLnLk1HJk/J1A9mqsFjTEr58B+Fl9nw2VBfn/bp9AwMrWgewnZoavuWS7vXP/dLLOWU
 s1fSnKTuJQLlPFgcsDMbXM2jSyzaNAljG5Z/9vHptfXk1oiSasMfLcrtbUeixjGl9N/6
 FsdVeBX1/hsRkrU0j2OYrYh2nVmALoWGldyrWuXSwHU70s+wKfDWYxpJ2rSIlmWmOkAg
 8WPPhbDk53I8BZogizHSBvolnL/W/yzMQfrCbVX1Li5uBioVVtIp1RHMalDL3QlhDoJ0
 xYCA==
X-Gm-Message-State: AOAM531vcFInfQaRMxk+5AMMfPmRCIjKi6thJoFlUBPNK/Zd3X+HwcaV
 esCRa+OqhxBvbTn117YeuXYJztRjxvI=
X-Google-Smtp-Source: ABdhPJxWiHlpyXFjX8xpZXhs3pqP32a2f/rOl14aOAGz1kChEOIR0DpPK7TyTAD+IvJ4KgD9eqhYOw==
X-Received: by 2002:a63:60b:0:b0:39d:9bb5:7fba with SMTP id
 11-20020a63060b000000b0039d9bb57fbamr7261309pgg.181.1650226641532; 
 Sun, 17 Apr 2022 13:17:21 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 f19-20020a056a00229300b004fb157f136asm9529860pfe.153.2022.04.17.13.17.20
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 17 Apr 2022 13:17:21 -0700 (PDT)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals
 an error
To: Eli Zaretskii <eliz@HIDDEN>, 54993 <at> debbugs.gnu.org
References: <83czhfy583.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <10f8d75a-1c3d-aa83-2cb9-4619df9925ad@HIDDEN>
Date: Sun, 17 Apr 2022 13:17:20 -0700
MIME-Version: 1.0
In-Reply-To: <83czhfy583.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54993
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 4/17/2022 10:44 AM, Eli Zaretskii wrote:
>    emacs -Q
>    C-x C-f etc/NEWS RET
> 
> Observe an error message:
> 
>    File local-variables error: (void-function emacs-news-mode)
> 
> and NEWS is visited in Fundamental mode, which makes it annoyingly
> inconvenient to edit the news entries.
> 
> I think a new mode that is only available in the development version
> should not be forced on all the developers, because not all of them
> use the latest-and-the-greatest code all the time while working on
> Emacs.

This doesn't seem to work in Emacs 28.1 anymore, but at least on 27.2, I 
used the following strategy:

   # -*- mode: FOO; mode: BAR -*-

This way, it would try to load FOO-mode and then BAR-mode in order, and 
so I could set up the mode for files to ensure that users with BAR-mode 
available can use that, but it falls back to FOO-mode otherwise. 
Unfortunately, in Emacs 28.1, this now fails with:

   File local-variables error: (error Lisp nesting exceeds 
‘max-lisp-eval-depth’)

Maybe the strategy I was using is just an abuse of file-local variables, 
but I think it's a convenient way to do things like this, and would 
nicely solve this issue too. (If you prefer, I could file a separate bug 
for the regression with file-local variable handling.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 17 Apr 2022 20:12:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 16:12:59 2022
Received: from localhost ([127.0.0.1]:37334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngBGV-0000fo-Bi
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 16:12:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ngBGT-0000ej-Ne
 for 54993 <at> debbugs.gnu.org; Sun, 17 Apr 2022 16:12:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57062)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngBGO-0001Xa-Fn; Sun, 17 Apr 2022 16:12:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Qsfr00Q8lApDdfXFTS9q/8qvpG34fE/EWpxdrAMUP4I=; b=K1zjqrWAg7n+
 AyQKwfpmyZ+h42wHRKWAAMfiWEfjiamzEE4eKsvjGCOwla7M2exIiPqzQ6tYoU9W8rtkairPDWnJq
 x69C13HuSmj4tKAXYQ+jIAfU8lE4WtVrqBX7AOKs0CmKKlZMqPE7oo8K2jCvQinFZiGSnXNBK7fKX
 DYIbSsj10ijdB8aEAy018pcXfXGdwvMl8edkFp+4xlJOhsQixAS4xGvyWsKgEzQDQ3B6XPCxQw4WR
 3R0KhO0RKkRy64lBKsAEUHJ0l7jwnHL7iNmhd91LletIItvXp6eM29VUcli5i3oNyjeg+xbuvzb2O
 31cYCAX6n9CfRDgXegDYBQ==;
Received: from [87.69.77.57] (port=1871 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngBGN-00005Q-Ma; Sun, 17 Apr 2022 16:12:52 -0400
Date: Sun, 17 Apr 2022 23:12:36 +0300
Message-Id: <83tuarwjt7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <8735ib7b7j.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 17 Apr 2022 21:37:36 +0200)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN> <8735ib7b7j.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 54993 <at> debbugs.gnu.org
> Date: Sun, 17 Apr 2022 21:37:36 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> What's your suggestion for how this should work, then?  etc/NEWS in
> >> auto-mode-alist?
> >
> > Either that, or private customizations.
> 
> Sure, it might make sense for people that use Emacs 28 to edit NEWS in
> Emacs 29 to use something like the following customisation:
> 
> (unless (fboundp 'emacs-news-mode)
>   (defun emacs-news-mode ()
>     (let ((inhibit-local-variables-regexps '(".*")))
>       (outline-mode))))

That's not what I meant, and you know it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 17 Apr 2022 19:37:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 15:37:55 2022
Received: from localhost ([127.0.0.1]:37278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngAiZ-00060F-Et
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 15:37:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngAiX-000600-N6
 for 54993 <at> debbugs.gnu.org; Sun, 17 Apr 2022 15:37:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Lp9AK/0KOSxr7v64wt3ezQyyAhzuX7YKLu/O2KjsAeg=; b=aA75Pt2qPbDcg/0o9fOcxdhwmR
 0Y5frW76raapfUkGpYeOjBqbrylsQx6O+7hPwQpfYaOJ1/nF87EBaI4/hap06jgc0o825raBM1Qr/
 ZSIXAyQEvcI1W04LHo5zw0uOVckSQKmaGLdZ2UpJrfRL6Cy4u48AdiY1lQVVApQlsLeY=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngAiH-00017I-Nj; Sun, 17 Apr 2022 21:37:45 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
 <83v8v7wmgh.fsf@HIDDEN>
Date: Sun, 17 Apr 2022 21:37:36 +0200
In-Reply-To: <83v8v7wmgh.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Apr
 2022 22:15:26 +0300")
Message-ID: <8735ib7b7j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> What's your
 suggestion
 for how this should work, then? etc/NEWS in >> auto-mode-alist? > > Either
 that, or private customizations. Sure, it might make sense for people that
 use Emacs 28 to edit NEWS in Emacs 29 to use something like the following
 customisation: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> What's your suggestion for how this should work, then?  etc/NEWS in
>> auto-mode-alist?
>
> Either that, or private customizations.

Sure, it might make sense for people that use Emacs 28 to edit NEWS in
Emacs 29 to use something like the following customisation:

(unless (fboundp 'emacs-news-mode)
  (defun emacs-news-mode ()
    (let ((inhibit-local-variables-regexps '(".*")))
      (outline-mode))))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 17 Apr 2022 19:15:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 15:15:51 2022
Received: from localhost ([127.0.0.1]:37268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngAND-0005TS-Av
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 15:15:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45502)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ngANB-0005TD-1G
 for 54993 <at> debbugs.gnu.org; Sun, 17 Apr 2022 15:15:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55836)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngAN5-0000Xj-MP; Sun, 17 Apr 2022 15:15:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=jvqQ9PTbgAiDhdNlMOT3ANzsq745kJ/91rTxC6yLpbA=; b=WO8FR7xlYqhS
 y7cbMuN4R7y+MgGAKUnFaKzeLQsyYZY6481UGVlv+jawqnBD+PLEqGj/jLo8jYBOsOG4V38ZS0l5f
 4gDjbXG8QfIQoWGt5SCe+z7uKCp8ruIJDpBfOnOBaD2qXcL1H6XCL+JCQtowd0XTWaaG41RnKkwhG
 Iy2Hw5GLy7GBAkrPNzylTmOG7QeHl7skBzGLkF3q51M/P70s89xBH2Cxs1vWCzNgaTbX4xFAlYlrd
 KV5xmz5Qm7Xa0LT+a0mU4MkPYA4/amj3/6/uit/phpMekIcGfJSJFNn1VsLI039GqIGalwkD2sJ71
 iF3aw1GlaLZuP6m//fuLFQ==;
Received: from [87.69.77.57] (port=2305 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ngAN3-0007Rx-Iq; Sun, 17 Apr 2022 15:15:43 -0400
Date: Sun, 17 Apr 2022 22:15:26 +0300
Message-Id: <83v8v7wmgh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87a6cj7d75.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 17 Apr 2022 20:54:38 +0200)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN> <87a6cj7d75.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 54993 <at> debbugs.gnu.org
> Date: Sun, 17 Apr 2022 20:54:38 +0200
> 
> > No, I get Fundamental mode -- which means no highlighting of headings,
> > not auto-filling, not Flyspell, etc. -- all I have in Outline mode is
> > suddenly gone.
> 
> What's your suggestion for how this should work, then?  etc/NEWS in
> auto-mode-alist?

Either that, or private customizations.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 17 Apr 2022 18:54:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 14:54:59 2022
Received: from localhost ([127.0.0.1]:37233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ngA30-0004x5-OA
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 14:54:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ngA2y-0004wr-JC
 for 54993 <at> debbugs.gnu.org; Sun, 17 Apr 2022 14:54:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=LZXRKZZOCMKPkAoYU8VDHi0qnI9QxB9aDkzDtZeGDW4=; b=l2rHjajw0RYdItoXybqEYVVOG3
 Imd9LOWFcHXmdkSerPJM+mP5qKFQAIy+WVCnNstyLNlwoyOxWVxSSxmWP2bj6H73Pm2Rc0+02wtXu
 BcAzI6/Qy27tQIaNMmOkfZgMllRpvyhywSnX4EQqAfyDJawVOETQm/d2032Q8YcFK3zM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ngA2n-0000dm-1H; Sun, 17 Apr 2022 20:54:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
 <8335iby288.fsf@HIDDEN>
Date: Sun, 17 Apr 2022 20:54:38 +0200
In-Reply-To: <8335iby288.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Apr
 2022 21:49:27 +0300")
Message-ID: <87a6cj7d75.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > It is IMO unreasonable
 to expect everyone to use the latest > development code. What about people
 who sync with Git once a month, > for example? If they don't sync, they don't
 get the new NEWS file. If they sync, they can then build Emacs. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> It is IMO unreasonable to expect everyone to use the latest
> development code.  What about people who sync with Git once a month,
> for example?

If they don't sync, they don't get the new NEWS file.  If they sync,
they can then build Emacs.

> Or what about editing the file on a system that doesn't even have the
> master branch built?

That seems rather theoretical.  We do expect people that work on Emacs
to use the Emacs they're working on.  We introduce new stuff all the
time.

> No, I get Fundamental mode -- which means no highlighting of headings,
> not auto-filling, not Flyspell, etc. -- all I have in Outline mode is
> suddenly gone.

What's your suggestion for how this should work, then?  etc/NEWS in
auto-mode-alist?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 17 Apr 2022 18:49:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 14:49:50 2022
Received: from localhost ([127.0.0.1]:37218 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ng9y2-0004oo-38
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 14:49:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ng9y0-0004ob-0O
 for 54993 <at> debbugs.gnu.org; Sun, 17 Apr 2022 14:49:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55560)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ng9xu-0004io-KT; Sun, 17 Apr 2022 14:49:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=laH6oXGUtQjj5E4TtF7wN/6HHIMwGhcw/atZ6YM0w98=; b=rmtQRvXqu0jA
 mHjW4yIOai78Se64W/kqj4udiofrSbzTm9T3N0eCsLge+OueKdBYrQQYWuvUGGNaiFqpbjMys+PXm
 R1Q+R3qK5V7v1yPRVIFGEXj+Npiq7OKFWAIH5S/kRdV9Gi/JtEUUdnOCZmqSYn33EAdy5EHlUbD6s
 /cFFRTQJZ56KZMr63rUTQWSGbIrDgPIKjz/YFApWgERgvo3hjAaM1DYsHhnVIhrzra/rCujEvsOQ9
 jVNf9hFdR45rj2xXuoG1e7ydtn9jDDE4NaZIz8LxjY0QFn2zjH90lZR4GZBPTFeLUG2J0oMomB7AS
 qUkFyoeo5zht51ZWlkKspg==;
Received: from [87.69.77.57] (port=4656 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ng9xt-0007VC-Ey; Sun, 17 Apr 2022 14:49:42 -0400
Date: Sun, 17 Apr 2022 21:49:27 +0300
Message-Id: <8335iby288.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87mtgj7dxa.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 17 Apr 2022 20:38:57 +0200)
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN> <87mtgj7dxa.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 54993 <at> debbugs.gnu.org
> Date: Sun, 17 Apr 2022 20:38:57 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > I think a new mode that is only available in the development version
> > should not be forced on all the developers, because not all of them
> > use the latest-and-the-greatest code all the time while working on
> > Emacs.
> 
> Not using the trunk to edit files from the trunk sounds rather
> error-prone.  Indentation rules etc has changed.

It is IMO unreasonable to expect everyone to use the latest
development code.  What about people who sync with Git once a month,
for example?  Or what about editing the file on a system that doesn't
even have the master branch built?

> > Please make it possible to edit NEWS conveniently with older versions
> > of Emacs.
> 
> You can still edit the file -- you just get an error message (which you
> can ignore).

No, I get Fundamental mode -- which means no highlighting of headings,
not auto-filling, not Flyspell, etc. -- all I have in Outline mode is
suddenly gone.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at 54993 <at> debbugs.gnu.org:


Received: (at 54993) by debbugs.gnu.org; 17 Apr 2022 18:39:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 14:39:12 2022
Received: from localhost ([127.0.0.1]:37190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ng9nk-0004V7-FV
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 14:39:12 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ng9ni-0004Us-QO
 for 54993 <at> debbugs.gnu.org; Sun, 17 Apr 2022 14:39:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5AXOKpEoJiGe+ZJS9s+7GvOEp/sALzbZ62hzBnRXtP0=; b=djcSmGP/sqFq9U+tsiceUIrorD
 4OjKh6LYCa7zJfTcWGRyxsPEBjGecaOxO2cfUtSXjj8D4afzgIOMFLp0Ytsq8k35Z02kLruLztmcl
 D96tEF/nORDTx1wBq9I2HQYirJm4aFjiAeqnYP4rpFFnXEJii2Kyvd5zYgUKZT0jNFFw=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ng9nX-0000Qy-7q; Sun, 17 Apr 2022 20:39:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28
 signals an error
References: <83czhfy583.fsf@HIDDEN>
Date: Sun, 17 Apr 2022 20:38:57 +0200
In-Reply-To: <83czhfy583.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Apr
 2022 20:44:44 +0300")
Message-ID: <87mtgj7dxa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > I think a new mode
 that is only available in the development version > should not be forced on
 all the developers, because not all of them > use the latest-and-the-greatest
 code all the time while w [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54993
Cc: 54993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> I think a new mode that is only available in the development version
> should not be forced on all the developers, because not all of them
> use the latest-and-the-greatest code all the time while working on
> Emacs.

Not using the trunk to edit files from the trunk sounds rather
error-prone.  Indentation rules etc has changed.

> Please make it possible to edit NEWS conveniently with older versions
> of Emacs.

You can still edit the file -- you just get an error message (which you
can ignore).

We could remove the mode cookie, of course, but then we'd have to put
etc/NEWS in auto-mode-alist, which would yield false positives for other
files with that name.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Apr 2022 17:45:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 17 13:45:01 2022
Received: from localhost ([127.0.0.1]:37089 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ng8xI-00075M-Sq
	for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 13:45:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:43326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ng8xG-00075E-Pz
 for submit <at> debbugs.gnu.org; Sun, 17 Apr 2022 13:44:59 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48500)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1ng8xG-00019F-HS
 for bug-gnu-emacs@HIDDEN; Sun, 17 Apr 2022 13:44:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54228)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1ng8xG-0003PG-5h
 for bug-gnu-emacs@HIDDEN; Sun, 17 Apr 2022 13:44:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=Subject:To:From:Date:mime-version:in-reply-to:
 references; bh=g5zdCUQe79wb8Az25oIwe0aE5WQHcaVOmpNnu3WoisI=; b=pEPLsd7FqjDqRt
 ySGmLHUkA3s6BdKbhPIC/N7V3T+VjP4bCSg2fiYy8z/q8FUM62owIgAbt1+APK5m/ftp46pS8p8B0
 EU+bex/9bRwj/WMw5YtatLEkc6p8BnbuSdmOLrk7PbcFMxr3kyCZptR9SYaiFRyMkaLwb11K1ye0+
 4kAOTrH3H7L9sv9UeCsfSz7CKcsRIBjWjiwM49tzX49JZPsdzo6KEvewWRao+92yFyKp3964aQQD1
 wwWzCZRtVQj2VXlTD/OB5oreIBrLsBSz25zpTvA+lMzz8KmAFTftmovota47uzBIO/44tvTCiWbss
 gFoUgqAa5cZuUdO7fcKg==;
Received: from [87.69.77.57] (port=4592 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1ng8xF-00070Q-Kc
 for bug-gnu-emacs@HIDDEN; Sun, 17 Apr 2022 13:44:57 -0400
Date: Sun, 17 Apr 2022 20:44:44 +0300
Message-Id: <83czhfy583.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


  emacs -Q
  C-x C-f etc/NEWS RET

Observe an error message:

  File local-variables error: (void-function emacs-news-mode)

and NEWS is visited in Fundamental mode, which makes it annoyingly
inconvenient to edit the news entries.

I think a new mode that is only available in the development version
should not be forced on all the developers, because not all of them
use the latest-and-the-greatest code all the time while working on
Emacs.

Please make it possible to edit NEWS conveniently with older versions
of Emacs.


In GNU Emacs 28.1 (build 2, i686-pc-mingw32)
 of 2022-04-03 built on HOME-C4E4A596F7
Windowing system distributor 'Microsoft Corp.', version 5.1.2600
System Description: Microsoft Windows XP Service Pack 3 (v5.1.0.2600)

Configured using:
 'configure --prefix=/d/usr --with-wide-int --with-native-compilation
 'CFLAGS=-O2 -gdwarf-4 -g3''

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES
NATIVE_COMP NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS XPM ZLIB

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1255

Major mode: Mail

Minor modes in effect:
  shell-dirtrack-mode: t
  flyspell-mode: t
  desktop-save-mode: t
  save-place-mode: t
  display-battery-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  line-number-mode: t
  auto-fill-function: mail-mode-auto-fill
  indent-tabs-mode: t
  abbrev-mode: t

Load-path shadows:
d:/usr/share/emacs/site-lisp/soap-client hides d:/usr/share/emacs/28.1/lisp/net/soap-client

Features:
(shadow emacsbug quail lao-util enriched smerge-mode diff calc-ext
calc calc-loaddefs rect calc-macs arc-mode archive-mode thai-util
thai-word pcase descr-text rng-xsd xsd-regexp rng-cmpct rng-nxml
rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt
rng-util rng-pttrn nxml-ns nxml-mode nxml-outln nxml-rap sgml-mode
nxml-util nxml-enc xmltok ede/speedbar ede/files ede ede/detect
ede/base ede/auto ede/source eieio-base eieio-speedbar eieio-custom
cedet edebug backtrace gud completion find-cmd grep find-dired
skeleton tabify autoconf autoconf-mode ffap ebuff-menu compile pulse
etags fileloop generator vc-mtn vc-hg vc-src vc-sccs vc-svn cl-print
thingatpt eieio-opt speedbar ezimage dframe find-func shortdoc
help-fns radix-tree sh-script smie executable texinfo texinfo-loaddefs
novice misearch multi-isearch dabbrev shr-color color rmailout shell
pcomplete comint ansi-color rfc2104 gnutls network-stream nsm
mail-extr smtpmail mailalias sendmail cc-awk jka-compr bat-mode
dired-aux vc-bzr generic noutline outline make-mode vc-cvs vc-rcs
conf-mode vc bug-reference add-log mule-util info vc-git diff-mode
easy-mmode vc-dispatcher flyspell rmailsum shr kinsoku svg dom
browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse url-vars mailcap
qp rmailmm message rmc puny rfc822 mml mml-sec epa epg rfc6068
epg-config gnus-util text-property-search time-date mm-decode
mm-bodies mm-encode mailabbrev gmm-utils mailheader mail-parse rfc2231
rmail rmail-loaddefs auth-source eieio eieio-core eieio-loaddefs
password-cache json map rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils desktop frameset server find-lisp dired dired-loaddefs
filecache mairix cus-edit pp cus-load wid-edit saveplace midnight
facemenu ispell derived generic-x cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs xref project ring
format-spec battery dbus xml time comp comp-cstr warnings subr-x rx
cl-seq cl-macs cl-extra help-mode seq byte-opt gv cl-loaddefs cl-lib
bytecomp byte-compile cconv iso-transl tooltip eldoc paren electric
uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel dos-w32
ls-lisp disp-table term/w32-win w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar
menu-bar rfn-eshadow isearch easymenu timer select scroll-bar mouse
jit-lock font-lock syntax font-core term/tty-colors frame minibuffer
cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese composite
emoji-zwj charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice button loaddefs faces
cus-face macroexp files window text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 3198865 323401)
 (symbols 48 43159 3)
 (strings 16 264038 30739)
 (string-bytes 1 8154768)
 (vectors 16 98734)
 (vector-slots 8 2868549 238198)
 (floats 8 365 538)
 (intervals 40 589593 24500)
 (buffers 888 317))




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#54993; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 20 Apr 2022 11:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.